# GstQuery

Queries can be performed on pads (gst_pad_query) and elements (gst_element_query). Please note that some queries might need a running pipeline to work.

Queries can be created using the gst_query_new_() functions. Query values can be set using gst_query_set_(), and parsed using gst_query_parse_*() helpers.

The following example shows how to query the duration of a pipeline:

       GstQuery *query;
       gboolean res;
       query = gst_query_new_duration (GST_FORMAT_TIME);
       res = gst_element_query (pipeline, query);
       if (res) {
         gint64 duration;
         gst_query_parse_duration (query, NULL, &duration);
         g_print ("duration = %"GST_TIME_FORMAT, GST_TIME_ARGS (duration));
       } else {
         g_print ("duration query failed...");
       }
       gst_query_unref (query);

## GstQuery

The GstQuery structure.

### Members

`mini_object` (GstMiniObject) –

The parent GstMiniObject type

`type` (GstQueryType) –

the GstQueryType

## Gst.Query

The Gst.Query structure.

### Members

`mini_object` (Gst.MiniObject) –

The parent Gst.MiniObject type

`type` (Gst.QueryType) –

the Gst.QueryType

## Gst.Query

The Gst.Query structure.

### Members

`mini_object` (Gst.MiniObject) –

The parent Gst.MiniObject type

`type` (Gst.QueryType) –

the Gst.QueryType

### Constructors

#### gst_query_new_accept_caps

    GstQuery *
    gst_query_new_accept_caps (GstCaps * caps)

Constructs a new query object for querying if caps are accepted.

Free-function: gst_query_unref

Parameters:

`caps` –

a fixed GstCaps

Returns ( [transfer: full]) –

a new GstQuery

#### Gst.Query.prototype.new_accept_caps

    function Gst.Query.prototype.new_accept_caps(caps: Gst.Caps): {
        // javascript wrapper for 'gst_query_new_accept_caps'
    }

Constructs a new query object for querying if caps are accepted.

Free-function: gst_query_unref (not introspectable)

Parameters:

`caps` (Gst.Caps) –

a fixed Gst.Caps

Returns (Gst.Query) –

a new Gst.Query

#### Gst.Query.new_accept_caps

    def Gst.Query.new_accept_caps (caps):
        #python wrapper for 'gst_query_new_accept_caps'

Constructs a new query object for querying if caps are accepted.

Free-function: gst_query_unref (not introspectable)

Parameters:

`caps` (Gst.Caps) –

a fixed Gst.Caps

Returns (Gst.Query) –

a new Gst.Query

#### gst_query_new_allocation

    GstQuery *
    gst_query_new_allocation (GstCaps * caps,
                              gboolean need_pool)

Constructs a new query object for querying the allocation properties.

Free-function: gst_query_unref

Parameters:

`caps` ( [nullable]) –

the negotiated caps

`need_pool` –

return a pool

Returns ( [transfer: full]) –

a new GstQuery

#### Gst.Query.prototype.new_allocation

    function Gst.Query.prototype.new_allocation(caps: Gst.Caps, need_pool: Number): {
        // javascript wrapper for 'gst_query_new_allocation'
    }

Constructs a new query object for querying the allocation properties.

Free-function: gst_query_unref (not introspectable)

Parameters:

`caps` (Gst.Caps) –

the negotiated caps

`need_pool` (Number) –

return a pool

Returns (Gst.Query) –

a new Gst.Query

#### Gst.Query.new_allocation

    def Gst.Query.new_allocation (caps, need_pool):
        #python wrapper for 'gst_query_new_allocation'

Constructs a new query object for querying the allocation properties.

Free-function: gst_query_unref (not introspectable)

Parameters:

`caps` (Gst.Caps) –

the negotiated caps

`need_pool` (bool) –

return a pool

Returns (Gst.Query) –

a new Gst.Query

#### gst_query_new_bitrate

    GstQuery *
    gst_query_new_bitrate ()

Constructs a new query object for querying the bitrate.

Free-function: gst_query_unref

Returns ( [transfer: full]) –

a new GstQuery

Since : 1.16

#### Gst.Query.prototype.new_bitrate

    function Gst.Query.prototype.new_bitrate(): {
        // javascript wrapper for 'gst_query_new_bitrate'
    }

Constructs a new query object for querying the bitrate.

Free-function: gst_query_unref (not introspectable)

Returns (Gst.Query) –

a new Gst.Query

Since : 1.16

#### Gst.Query.new_bitrate

    def Gst.Query.new_bitrate ():
        #python wrapper for 'gst_query_new_bitrate'

Constructs a new query object for querying the bitrate.

Free-function: gst_query_unref (not introspectable)

Returns (Gst.Query) –

a new Gst.Query

Since : 1.16

#### gst_query_new_buffering

    GstQuery *
    gst_query_new_buffering (GstFormat format)

Constructs a new query object for querying the buffering status of a stream.

Free-function: gst_query_unref

Parameters:

`format` –

the default GstFormat for the new query

Returns ( [transfer: full]) –

a new GstQuery

#### Gst.Query.prototype.new_buffering

    function Gst.Query.prototype.new_buffering(format: Gst.Format): {
        // javascript wrapper for 'gst_query_new_buffering'
    }

Constructs a new query object for querying the buffering status of a stream.

Free-function: gst_query_unref (not introspectable)

Parameters:

`format` (Gst.Format) –

the default Gst.Format for the new query

Returns (Gst.Query) –

a new Gst.Query

#### Gst.Query.new_buffering

    def Gst.Query.new_buffering (format):
        #python wrapper for 'gst_query_new_buffering'

Constructs a new query object for querying the buffering status of a stream.

Free-function: gst_query_unref (not introspectable)

Parameters:

`format` (Gst.Format) –

the default Gst.Format for the new query

Returns (Gst.Query) –

a new Gst.Query

#### gst_query_new_caps

    GstQuery *
    gst_query_new_caps (GstCaps * filter)

Constructs a new query object for querying the caps.

The CAPS query should return the allowable caps for a pad in the context of the element's state, its link to other elements, and the devices or files it has opened. These caps must be a subset of the pad template caps. In the NULL state with no links, the CAPS query should ideally return the same caps as the pad template. In rare circumstances, an object property can affect the caps returned by the CAPS query, but this is discouraged.

For most filters, the caps returned by CAPS query is directly affected by the allowed caps on other pads. For demuxers and decoders, the caps returned by the srcpad's getcaps function is directly related to the stream data. Again, the CAPS query should return the most specific caps it reasonably can, since this helps with autoplugging.

The filter is used to restrict the result caps, only the caps matching filter should be returned from the CAPS query. Specifying a filter might greatly reduce the amount of processing an element needs to do.

Free-function: gst_query_unref

Parameters:

`filter` –

a filter

Returns ( [transfer: full]) –

a new GstQuery

#### Gst.Query.prototype.new_caps

    function Gst.Query.prototype.new_caps(filter: Gst.Caps): {
        // javascript wrapper for 'gst_query_new_caps'
    }

Constructs a new query object for querying the caps.

The CAPS query should return the allowable caps for a pad in the context of the element's state, its link to other elements, and the devices or files it has opened. These caps must be a subset of the pad template caps. In the NULL state with no links, the CAPS query should ideally return the same caps as the pad template. In rare circumstances, an object property can affect the caps returned by the CAPS query, but this is discouraged.

For most filters, the caps returned by CAPS query is directly affected by the allowed caps on other pads. For demuxers and decoders, the caps returned by the srcpad's getcaps function is directly related to the stream data. Again, the CAPS query should return the most specific caps it reasonably can, since this helps with autoplugging.

The filter is used to restrict the result caps, only the caps matching filter should be returned from the CAPS query. Specifying a filter might greatly reduce the amount of processing an element needs to do.

Free-function: gst_query_unref (not introspectable)

Parameters:

`filter` (Gst.Caps) –

a filter

Returns (Gst.Query) –

a new Gst.Query

#### Gst.Query.new_caps

    def Gst.Query.new_caps (filter):
        #python wrapper for 'gst_query_new_caps'

Constructs a new query object for querying the caps.

The CAPS query should return the allowable caps for a pad in the context of the element's state, its link to other elements, and the devices or files it has opened. These caps must be a subset of the pad template caps. In the NULL state with no links, the CAPS query should ideally return the same caps as the pad template. In rare circumstances, an object property can affect the caps returned by the CAPS query, but this is discouraged.

For most filters, the caps returned by CAPS query is directly affected by the allowed caps on other pads. For demuxers and decoders, the caps returned by the srcpad's getcaps function is directly related to the stream data. Again, the CAPS query should return the most specific caps it reasonably can, since this helps with autoplugging.

The filter is used to restrict the result caps, only the caps matching filter should be returned from the CAPS query. Specifying a filter might greatly reduce the amount of processing an element needs to do.

Free-function: gst_query_unref (not introspectable)

Parameters:

`filter` (Gst.Caps) –

a filter

Returns (Gst.Query) –

a new Gst.Query

#### gst_query_new_context

    GstQuery *
    gst_query_new_context (const gchar* context_type)

Constructs a new query object for querying the pipeline-local context.

Free-function: gst_query_unref

Parameters:

`context_type` –

Context type to query

Returns ( [transfer: full]) –

a new GstQuery

Since : 1.2

#### Gst.Query.prototype.new_context

    function Gst.Query.prototype.new_context(context_type: String): {
        // javascript wrapper for 'gst_query_new_context'
    }

Constructs a new query object for querying the pipeline-local context.

Free-function: gst_query_unref (not introspectable)

Parameters:

`context_type` (String) –

Context type to query

Returns (Gst.Query) –

a new Gst.Query

Since : 1.2

#### Gst.Query.new_context

    def Gst.Query.new_context (context_type):
        #python wrapper for 'gst_query_new_context'

Constructs a new query object for querying the pipeline-local context.

Free-function: gst_query_unref (not introspectable)

Parameters:

`context_type` (str) –

Context type to query

Returns (Gst.Query) –

a new Gst.Query

Since : 1.2

#### gst_query_new_convert

    GstQuery *
    gst_query_new_convert (GstFormat src_format,
                           gint64 value,
                           GstFormat dest_format)

Constructs a new convert query object. Use gst_query_unref when done with it. A convert query is used to ask for a conversion between one format and another.

Free-function: gst_query_unref

Parameters:

`src_format` –

the source GstFormat for the new query

`value` –

the value to convert

`dest_format` –

the target GstFormat

Returns ( [transfer: full]) –

a GstQuery

#### Gst.Query.prototype.new_convert

    function Gst.Query.prototype.new_convert(src_format: Gst.Format, value: Number, dest_format: Gst.Format): {
        // javascript wrapper for 'gst_query_new_convert'
    }

Constructs a new convert query object. Use gst_query_unref (not introspectable) when done with it. A convert query is used to ask for a conversion between one format and another.

Free-function: gst_query_unref (not introspectable)

Parameters:

`src_format` (Gst.Format) –

the source Gst.Format for the new query

`value` (Number) –

the value to convert

`dest_format` (Gst.Format) –

the target Gst.Format

Returns (Gst.Query) –

a Gst.Query

#### Gst.Query.new_convert

    def Gst.Query.new_convert (src_format, value, dest_format):
        #python wrapper for 'gst_query_new_convert'

Constructs a new convert query object. Use gst_query_unref (not introspectable) when done with it. A convert query is used to ask for a conversion between one format and another.

Free-function: gst_query_unref (not introspectable)

Parameters:

`src_format` (Gst.Format) –

the source Gst.Format for the new query

`value` (int) –

the value to convert

`dest_format` (Gst.Format) –

the target Gst.Format

Returns (Gst.Query) –

a Gst.Query

#### gst_query_new_custom

    GstQuery *
    gst_query_new_custom (GstQueryType type,
                          GstStructure * structure)

Constructs a new custom query object. Use gst_query_unref when done with it.

Free-function: gst_query_unref

Parameters:

`type` –

the query type

`structure` ( [nullable][transfer: full]) –

a structure for the query

Returns ( [transfer: full]) –

a new GstQuery

#### Gst.Query.prototype.new_custom

    function Gst.Query.prototype.new_custom(type: Gst.QueryType, structure: Gst.Structure): {
        // javascript wrapper for 'gst_query_new_custom'
    }

Constructs a new custom query object. Use gst_query_unref (not introspectable) when done with it.

Free-function: gst_query_unref (not introspectable)

Parameters:

`type` (Gst.QueryType) –

the query type

`structure` (Gst.Structure) –

a structure for the query

Returns (Gst.Query) –

a new Gst.Query

#### Gst.Query.new_custom

    def Gst.Query.new_custom (type, structure):
        #python wrapper for 'gst_query_new_custom'

Constructs a new custom query object. Use gst_query_unref (not introspectable) when done with it.

Free-function: gst_query_unref (not introspectable)

Parameters:

`type` (Gst.QueryType) –

the query type

`structure` (Gst.Structure) –

a structure for the query

Returns (Gst.Query) –

a new Gst.Query

#### gst_query_new_drain

    GstQuery *
    gst_query_new_drain ()

Constructs a new query object for querying the drain state.

Free-function: gst_query_unref

Returns ( [transfer: full]) –

a new GstQuery

#### Gst.Query.prototype.new_drain

    function Gst.Query.prototype.new_drain(): {
        // javascript wrapper for 'gst_query_new_drain'
    }

Constructs a new query object for querying the drain state.

Free-function: gst_query_unref (not introspectable)

Returns (Gst.Query) –

a new Gst.Query

#### Gst.Query.new_drain

    def Gst.Query.new_drain ():
        #python wrapper for 'gst_query_new_drain'

Constructs a new query object for querying the drain state.

Free-function: gst_query_unref (not introspectable)

Returns (Gst.Query) –

a new Gst.Query

#### gst_query_new_duration

    GstQuery *
    gst_query_new_duration (GstFormat format)

Constructs a new stream duration query object to query in the given format. Use gst_query_unref when done with it. A duration query will give the total length of the stream.

Free-function: gst_query_unref

Parameters:

`format` –

the GstFormat for this duration query

Returns ( [transfer: full]) –

a new GstQuery

#### Gst.Query.prototype.new_duration

    function Gst.Query.prototype.new_duration(format: Gst.Format): {
        // javascript wrapper for 'gst_query_new_duration'
    }

Constructs a new stream duration query object to query in the given format. Use gst_query_unref (not introspectable) when done with it. A duration query will give the total length of the stream.

Free-function: gst_query_unref (not introspectable)

Parameters:

`format` (Gst.Format) –

the Gst.Format for this duration query

Returns (Gst.Query) –

a new Gst.Query

#### Gst.Query.new_duration

    def Gst.Query.new_duration (format):
        #python wrapper for 'gst_query_new_duration'

Constructs a new stream duration query object to query in the given format. Use gst_query_unref (not introspectable) when done with it. A duration query will give the total length of the stream.

Free-function: gst_query_unref (not introspectable)

Parameters:

`format` (Gst.Format) –

the Gst.Format for this duration query

Returns (Gst.Query) –

a new Gst.Query

#### gst_query_new_formats

    GstQuery *
    gst_query_new_formats ()

Constructs a new query object for querying formats of the stream.

Free-function: gst_query_unref

Returns ( [transfer: full]) –

a new GstQuery

#### Gst.Query.prototype.new_formats

    function Gst.Query.prototype.new_formats(): {
        // javascript wrapper for 'gst_query_new_formats'
    }

Constructs a new query object for querying formats of the stream.

Free-function: gst_query_unref (not introspectable)

Returns (Gst.Query) –

a new Gst.Query

#### Gst.Query.new_formats

    def Gst.Query.new_formats ():
        #python wrapper for 'gst_query_new_formats'

Constructs a new query object for querying formats of the stream.

Free-function: gst_query_unref (not introspectable)

Returns (Gst.Query) –

a new Gst.Query

#### gst_query_new_latency

    GstQuery *
    gst_query_new_latency ()

Constructs a new latency query object. Use gst_query_unref when done with it. A latency query is usually performed by sinks to compensate for additional latency introduced by elements in the pipeline.

Free-function: gst_query_unref

Returns ( [transfer: full]) –

a GstQuery

#### Gst.Query.prototype.new_latency

    function Gst.Query.prototype.new_latency(): {
        // javascript wrapper for 'gst_query_new_latency'
    }

Constructs a new latency query object. Use gst_query_unref (not introspectable) when done with it. A latency query is usually performed by sinks to compensate for additional latency introduced by elements in the pipeline.

Free-function: gst_query_unref (not introspectable)

Returns (Gst.Query) –

a Gst.Query

#### Gst.Query.new_latency

    def Gst.Query.new_latency ():
        #python wrapper for 'gst_query_new_latency'

Constructs a new latency query object. Use gst_query_unref (not introspectable) when done with it. A latency query is usually performed by sinks to compensate for additional latency introduced by elements in the pipeline.

Free-function: gst_query_unref (not introspectable)

Returns (Gst.Query) –

a Gst.Query

#### gst_query_new_position

    GstQuery *
    gst_query_new_position (GstFormat format)

Constructs a new query stream position query object. Use gst_query_unref when done with it. A position query is used to query the current position of playback in the streams, in some format.

Free-function: gst_query_unref

Parameters:

`format` –

the default GstFormat for the new query

Returns ( [transfer: full]) –

a new GstQuery

#### Gst.Query.prototype.new_position

    function Gst.Query.prototype.new_position(format: Gst.Format): {
        // javascript wrapper for 'gst_query_new_position'
    }

Constructs a new query stream position query object. Use gst_query_unref (not introspectable) when done with it. A position query is used to query the current position of playback in the streams, in some format.

Free-function: gst_query_unref (not introspectable)

Parameters:

`format` (Gst.Format) –

the default Gst.Format for the new query

Returns (Gst.Query) –

a new Gst.Query

#### Gst.Query.new_position

    def Gst.Query.new_position (format):
        #python wrapper for 'gst_query_new_position'

Constructs a new query stream position query object. Use gst_query_unref (not introspectable) when done with it. A position query is used to query the current position of playback in the streams, in some format.

Free-function: gst_query_unref (not introspectable)

Parameters:

`format` (Gst.Format) –

the default Gst.Format for the new query

Returns (Gst.Query) –

a new Gst.Query

#### gst_query_new_scheduling

    GstQuery *
    gst_query_new_scheduling ()

Constructs a new query object for querying the scheduling properties.

Free-function: gst_query_unref

Returns ( [transfer: full]) –

a new GstQuery

#### Gst.Query.prototype.new_scheduling

    function Gst.Query.prototype.new_scheduling(): {
        // javascript wrapper for 'gst_query_new_scheduling'
    }

Constructs a new query object for querying the scheduling properties.

Free-function: gst_query_unref (not introspectable)

Returns (Gst.Query) –

a new Gst.Query

#### Gst.Query.new_scheduling

    def Gst.Query.new_scheduling ():
        #python wrapper for 'gst_query_new_scheduling'

Constructs a new query object for querying the scheduling properties.

Free-function: gst_query_unref (not introspectable)

Returns (Gst.Query) –

a new Gst.Query

#### gst_query_new_seeking

    GstQuery *
    gst_query_new_seeking (GstFormat format)

Constructs a new query object for querying seeking properties of the stream.

Free-function: gst_query_unref

Parameters:

`format` –

the default GstFormat for the new query

Returns ( [transfer: full]) –

a new GstQuery

#### Gst.Query.prototype.new_seeking

    function Gst.Query.prototype.new_seeking(format: Gst.Format): {
        // javascript wrapper for 'gst_query_new_seeking'
    }

Constructs a new query object for querying seeking properties of the stream.

Free-function: gst_query_unref (not introspectable)

Parameters:

`format` (Gst.Format) –

the default Gst.Format for the new query

Returns (Gst.Query) –

a new Gst.Query

#### Gst.Query.new_seeking

    def Gst.Query.new_seeking (format):
        #python wrapper for 'gst_query_new_seeking'

Constructs a new query object for querying seeking properties of the stream.

Free-function: gst_query_unref (not introspectable)

Parameters:

`format` (Gst.Format) –

the default Gst.Format for the new query

Returns (Gst.Query) –

a new Gst.Query

#### gst_query_new_segment

    GstQuery *
    gst_query_new_segment (GstFormat format)

Constructs a new segment query object. Use gst_query_unref when done with it. A segment query is used to discover information about the currently configured segment for playback.

Free-function: gst_query_unref

Parameters:

`format` –

the GstFormat for the new query

Returns ( [transfer: full]) –

a new GstQuery

#### Gst.Query.prototype.new_segment

    function Gst.Query.prototype.new_segment(format: Gst.Format): {
        // javascript wrapper for 'gst_query_new_segment'
    }

Constructs a new segment query object. Use gst_query_unref (not introspectable) when done with it. A segment query is used to discover information about the currently configured segment for playback.

Free-function: gst_query_unref (not introspectable)

Parameters:

`format` (Gst.Format) –

the Gst.Format for the new query

Returns (Gst.Query) –

a new Gst.Query

#### Gst.Query.new_segment

    def Gst.Query.new_segment (format):
        #python wrapper for 'gst_query_new_segment'

Constructs a new segment query object. Use gst_query_unref (not introspectable) when done with it. A segment query is used to discover information about the currently configured segment for playback.

Free-function: gst_query_unref (not introspectable)

Parameters:

`format` (Gst.Format) –

the Gst.Format for the new query

Returns (Gst.Query) –

a new Gst.Query

#### gst_query_new_selectable

    GstQuery *
    gst_query_new_selectable ()

Constructs a new query object for querying the stream selection capability.

Free-function: gst_query_unref

Returns ( [transfer: full]) –

a new GstQuery

Since : 1.22

#### Gst.Query.prototype.new_selectable

    function Gst.Query.prototype.new_selectable(): {
        // javascript wrapper for 'gst_query_new_selectable'
    }

Constructs a new query object for querying the stream selection capability.

Free-function: gst_query_unref (not introspectable)

Returns (Gst.Query) –

a new Gst.Query

Since : 1.22

#### Gst.Query.new_selectable

    def Gst.Query.new_selectable ():
        #python wrapper for 'gst_query_new_selectable'

Constructs a new query object for querying the stream selection capability.

Free-function: gst_query_unref (not introspectable)

Returns (Gst.Query) –

a new Gst.Query

Since : 1.22

#### gst_query_new_uri

    GstQuery *
    gst_query_new_uri ()

Constructs a new query URI query object. Use gst_query_unref when done with it. An URI query is used to query the current URI that is used by the source or sink.

Free-function: gst_query_unref

Returns ( [transfer: full]) –

a new GstQuery

#### Gst.Query.prototype.new_uri

    function Gst.Query.prototype.new_uri(): {
        // javascript wrapper for 'gst_query_new_uri'
    }

Constructs a new query URI query object. Use gst_query_unref (not introspectable) when done with it. An URI query is used to query the current URI that is used by the source or sink.

Free-function: gst_query_unref (not introspectable)

Returns (Gst.Query) –

a new Gst.Query

#### Gst.Query.new_uri

    def Gst.Query.new_uri ():
        #python wrapper for 'gst_query_new_uri'

Constructs a new query URI query object. Use gst_query_unref (not introspectable) when done with it. An URI query is used to query the current URI that is used by the source or sink.

Free-function: gst_query_unref (not introspectable)

Returns (Gst.Query) –

a new Gst.Query

### Methods

#### gst_query_add_allocation_meta

    gst_query_add_allocation_meta (GstQuery * query,
                                   GType api,
                                   const GstStructure * params)

Add api with params as one of the supported metadata API to query.

Parameters:

`query` –

a GST_QUERY_ALLOCATION type query GstQuery

`api` –

the metadata API

`params` ( [transfer: none][nullable]) –

API specific parameters

#### Gst.Query.prototype.add_allocation_meta

    function Gst.Query.prototype.add_allocation_meta(api: GObject.Type, params: Gst.Structure): {
        // javascript wrapper for 'gst_query_add_allocation_meta'
    }

Add api with params as one of the supported metadata API to query.

Parameters:

`query` (Gst.Query) –

a GST_QUERY_ALLOCATION type query Gst.Query

`api` (GObject.Type) –

the metadata API

`params` (Gst.Structure) –

API specific parameters

#### Gst.Query.add_allocation_meta

    def Gst.Query.add_allocation_meta (self, api, params):
        #python wrapper for 'gst_query_add_allocation_meta'

Add api with params as one of the supported metadata API to query.

Parameters:

`query` (Gst.Query) –

a GST_QUERY_ALLOCATION type query Gst.Query

`api` (GObject.Type) –

the metadata API

`params` (Gst.Structure) –

API specific parameters

#### gst_query_add_allocation_param

    gst_query_add_allocation_param (GstQuery * query,
                                    GstAllocator * allocator,
                                    const GstAllocationParams * params)

Add allocator and its params as a supported memory allocator.

Parameters:

`query` –

a GST_QUERY_ALLOCATION type query GstQuery

`allocator` ( [transfer: none][nullable]) –

the memory allocator

`params` ( [transfer: none][nullable]) –

a GstAllocationParams

#### Gst.Query.prototype.add_allocation_param

    function Gst.Query.prototype.add_allocation_param(allocator: Gst.Allocator, params: Gst.AllocationParams): {
        // javascript wrapper for 'gst_query_add_allocation_param'
    }

Add allocator and its params as a supported memory allocator.

Parameters:

`query` (Gst.Query) –

a GST_QUERY_ALLOCATION type query Gst.Query

`allocator` (Gst.Allocator) –

the memory allocator

`params` (Gst.AllocationParams) –

a Gst.AllocationParams

#### Gst.Query.add_allocation_param

    def Gst.Query.add_allocation_param (self, allocator, params):
        #python wrapper for 'gst_query_add_allocation_param'

Add allocator and its params as a supported memory allocator.

Parameters:

`query` (Gst.Query) –

a GST_QUERY_ALLOCATION type query Gst.Query

`allocator` (Gst.Allocator) –

the memory allocator

`params` (Gst.AllocationParams) –

a Gst.AllocationParams

#### gst_query_add_allocation_pool

    gst_query_add_allocation_pool (GstQuery * query,
                                   GstBufferPool * pool,
                                   guint size,
                                   guint min_buffers,
                                   guint max_buffers)

Set the pool parameters in query.

Parameters:

`query` –

A valid GstQuery of type GST_QUERY_ALLOCATION.

`pool` ( [transfer: none][nullable]) –

the GstBufferPool

`size` –

the buffer size

`min_buffers` –

the min buffers

`max_buffers` –

the max buffers

#### Gst.Query.prototype.add_allocation_pool

    function Gst.Query.prototype.add_allocation_pool(pool: Gst.BufferPool, size: Number, min_buffers: Number, max_buffers: Number): {
        // javascript wrapper for 'gst_query_add_allocation_pool'
    }

Set the pool parameters in query.

Parameters:

`query` (Gst.Query) –

A valid Gst.Query of type GST_QUERY_ALLOCATION.

`pool` (Gst.BufferPool) –

the Gst.BufferPool

`size` (Number) –

the buffer size

`min_buffers` (Number) –

the min buffers

`max_buffers` (Number) –

the max buffers

#### Gst.Query.add_allocation_pool

    def Gst.Query.add_allocation_pool (self, pool, size, min_buffers, max_buffers):
        #python wrapper for 'gst_query_add_allocation_pool'

Set the pool parameters in query.

Parameters:

`query` (Gst.Query) –

A valid Gst.Query of type GST_QUERY_ALLOCATION.

`pool` (Gst.BufferPool) –

the Gst.BufferPool

`size` (int) –

the buffer size

`min_buffers` (int) –

the min buffers

`max_buffers` (int) –

the max buffers

#### gst_query_add_buffering_range

    gboolean
    gst_query_add_buffering_range (GstQuery * query,
                                   gint64 start,
                                   gint64 stop)

Set the buffering-ranges array field in query. The current last start position of the array should be inferior to start.

Parameters:

`query` –

a GST_QUERY_BUFFERING type query GstQuery

`start` –

start position of the range

`stop` –

stop position of the range

Returns –

a gboolean indicating if the range was added or not.

#### Gst.Query.prototype.add_buffering_range

    function Gst.Query.prototype.add_buffering_range(start: Number, stop: Number): {
        // javascript wrapper for 'gst_query_add_buffering_range'
    }

Set the buffering-ranges array field in query. The current last start position of the array should be inferior to start.

Parameters:

`query` (Gst.Query) –

a GST_QUERY_BUFFERING type query Gst.Query

`start` (Number) –

start position of the range

`stop` (Number) –

stop position of the range

Returns (Number) –

a gboolean indicating if the range was added or not.

#### Gst.Query.add_buffering_range

    def Gst.Query.add_buffering_range (self, start, stop):
        #python wrapper for 'gst_query_add_buffering_range'

Set the buffering-ranges array field in query. The current last start position of the array should be inferior to start.

Parameters:

`query` (Gst.Query) –

a GST_QUERY_BUFFERING type query Gst.Query

`start` (int) –

start position of the range

`stop` (int) –

stop position of the range

Returns (bool) –

a gboolean indicating if the range was added or not.

#### gst_query_add_scheduling_mode

    gst_query_add_scheduling_mode (GstQuery * query,
                                   GstPadMode mode)

Add mode as one of the supported scheduling modes to query.

Parameters:

`query` –

a GST_QUERY_SCHEDULING type query GstQuery

`mode` –

a GstPadMode

#### Gst.Query.prototype.add_scheduling_mode

    function Gst.Query.prototype.add_scheduling_mode(mode: Gst.PadMode): {
        // javascript wrapper for 'gst_query_add_scheduling_mode'
    }

Add mode as one of the supported scheduling modes to query.

Parameters:

`query` (Gst.Query) –

a GST_QUERY_SCHEDULING type query Gst.Query

`mode` (Gst.PadMode) –

a Gst.PadMode

#### Gst.Query.add_scheduling_mode

    def Gst.Query.add_scheduling_mode (self, mode):
        #python wrapper for 'gst_query_add_scheduling_mode'

Add mode as one of the supported scheduling modes to query.

Parameters:

`query` (Gst.Query) –

a GST_QUERY_SCHEDULING type query Gst.Query

`mode` (Gst.PadMode) –

a Gst.PadMode

#### gst_query_copy

    GstQuery *
    gst_query_copy (const GstQuery * q)

Copies the given query using the copy function of the parent GstStructure.

Free-function: gst_query_unref

Parameters:

`q` –

a GstQuery to copy.

Returns ( [transfer: full]) –

a new copy of q.

#### gst_query_find_allocation_meta

    gboolean
    gst_query_find_allocation_meta (GstQuery * query,
                                    GType api,
                                    guint* index)

Check if query has metadata api set. When this function returns TRUE, index will contain the index where the requested API and the parameters can be found.

Parameters:

`query` –

a GST_QUERY_ALLOCATION type query GstQuery

`api` –

the metadata API

`index` ( [out][transfer: none][optional]) –

the index

Returns –

TRUE when api is in the list of metadata.

#### Gst.Query.prototype.find_allocation_meta

    function Gst.Query.prototype.find_allocation_meta(api: GObject.Type): {
        // javascript wrapper for 'gst_query_find_allocation_meta'
    }

Check if query has metadata api set. When this function returns TRUE, index will contain the index where the requested API and the parameters can be found.

Parameters:

`query` (Gst.Query) –

a GST_QUERY_ALLOCATION type query Gst.Query

`api` (GObject.Type) –

the metadata API

Returns a tuple made of:

(Number ) –

TRUE when api is in the list of metadata.

`index` (Number ) –

TRUE when api is in the list of metadata.

#### Gst.Query.find_allocation_meta

    def Gst.Query.find_allocation_meta (self, api):
        #python wrapper for 'gst_query_find_allocation_meta'

Check if query has metadata api set. When this function returns TRUE, index will contain the index where the requested API and the parameters can be found.

Parameters:

`query` (Gst.Query) –

a GST_QUERY_ALLOCATION type query Gst.Query

`api` (GObject.Type) –

the metadata API

Returns a tuple made of:

(bool ) –

TRUE when api is in the list of metadata.

`index` (int ) –

TRUE when api is in the list of metadata.

#### gst_query_get_n_allocation_metas

    guint
    gst_query_get_n_allocation_metas (GstQuery * query)

Retrieve the number of values currently stored in the meta API array of the query's structure.

Parameters:

`query` –

a GST_QUERY_ALLOCATION type query GstQuery

Returns –

the metadata API array size as a guint.

#### Gst.Query.prototype.get_n_allocation_metas

    function Gst.Query.prototype.get_n_allocation_metas(): {
        // javascript wrapper for 'gst_query_get_n_allocation_metas'
    }

Retrieve the number of values currently stored in the meta API array of the query's structure.

Parameters:

`query` (Gst.Query) –

a GST_QUERY_ALLOCATION type query Gst.Query

Returns (Number) –

the metadata API array size as a guint.

#### Gst.Query.get_n_allocation_metas

    def Gst.Query.get_n_allocation_metas (self):
        #python wrapper for 'gst_query_get_n_allocation_metas'

Retrieve the number of values currently stored in the meta API array of the query's structure.

Parameters:

`query` (Gst.Query) –

a GST_QUERY_ALLOCATION type query Gst.Query

Returns (int) –

the metadata API array size as a guint.

#### gst_query_get_n_allocation_params

    guint
    gst_query_get_n_allocation_params (GstQuery * query)

Retrieve the number of values currently stored in the allocator params array of the query's structure.

If no memory allocator is specified, the downstream element can handle the default memory allocator. The first memory allocator in the query should be generic and allow mapping to system memory, all following allocators should be ordered by preference with the preferred one first.

Parameters:

`query` –

a GST_QUERY_ALLOCATION type query GstQuery

Returns –

the allocator array size as a guint.

#### Gst.Query.prototype.get_n_allocation_params

    function Gst.Query.prototype.get_n_allocation_params(): {
        // javascript wrapper for 'gst_query_get_n_allocation_params'
    }

Retrieve the number of values currently stored in the allocator params array of the query's structure.

If no memory allocator is specified, the downstream element can handle the default memory allocator. The first memory allocator in the query should be generic and allow mapping to system memory, all following allocators should be ordered by preference with the preferred one first.

Parameters:

`query` (Gst.Query) –

a GST_QUERY_ALLOCATION type query Gst.Query

Returns (Number) –

the allocator array size as a guint.

#### Gst.Query.get_n_allocation_params

    def Gst.Query.get_n_allocation_params (self):
        #python wrapper for 'gst_query_get_n_allocation_params'

Retrieve the number of values currently stored in the allocator params array of the query's structure.

If no memory allocator is specified, the downstream element can handle the default memory allocator. The first memory allocator in the query should be generic and allow mapping to system memory, all following allocators should be ordered by preference with the preferred one first.

Parameters:

`query` (Gst.Query) –

a GST_QUERY_ALLOCATION type query Gst.Query

Returns (int) –

the allocator array size as a guint.

#### gst_query_get_n_allocation_pools

    guint
    gst_query_get_n_allocation_pools (GstQuery * query)

Retrieve the number of values currently stored in the pool array of the query's structure.

Parameters:

`query` –

a GST_QUERY_ALLOCATION type query GstQuery

Returns –

the pool array size as a guint.

#### Gst.Query.prototype.get_n_allocation_pools

    function Gst.Query.prototype.get_n_allocation_pools(): {
        // javascript wrapper for 'gst_query_get_n_allocation_pools'
    }

Retrieve the number of values currently stored in the pool array of the query's structure.

Parameters:

`query` (Gst.Query) –

a GST_QUERY_ALLOCATION type query Gst.Query

Returns (Number) –

the pool array size as a guint.

#### Gst.Query.get_n_allocation_pools

    def Gst.Query.get_n_allocation_pools (self):
        #python wrapper for 'gst_query_get_n_allocation_pools'

Retrieve the number of values currently stored in the pool array of the query's structure.

Parameters:

`query` (Gst.Query) –

a GST_QUERY_ALLOCATION type query Gst.Query

Returns (int) –

the pool array size as a guint.

#### gst_query_get_n_buffering_ranges

    guint
    gst_query_get_n_buffering_ranges (GstQuery * query)

Retrieve the number of values currently stored in the buffered-ranges array of the query's structure.

Parameters:

`query` –

a GST_QUERY_BUFFERING type query GstQuery

Returns –

the range array size as a guint.

#### Gst.Query.prototype.get_n_buffering_ranges

    function Gst.Query.prototype.get_n_buffering_ranges(): {
        // javascript wrapper for 'gst_query_get_n_buffering_ranges'
    }

Retrieve the number of values currently stored in the buffered-ranges array of the query's structure.

Parameters:

`query` (Gst.Query) –

a GST_QUERY_BUFFERING type query Gst.Query

Returns (Number) –

the range array size as a guint.

#### Gst.Query.get_n_buffering_ranges

    def Gst.Query.get_n_buffering_ranges (self):
        #python wrapper for 'gst_query_get_n_buffering_ranges'

Retrieve the number of values currently stored in the buffered-ranges array of the query's structure.

Parameters:

`query` (Gst.Query) –

a GST_QUERY_BUFFERING type query Gst.Query

Returns (int) –

the range array size as a guint.

#### gst_query_get_n_scheduling_modes

    guint
    gst_query_get_n_scheduling_modes (GstQuery * query)

Retrieve the number of values currently stored in the scheduling mode array of the query's structure.

Parameters:

`query` –

a GST_QUERY_SCHEDULING type query GstQuery

Returns –

the scheduling mode array size as a guint.

#### Gst.Query.prototype.get_n_scheduling_modes

    function Gst.Query.prototype.get_n_scheduling_modes(): {
        // javascript wrapper for 'gst_query_get_n_scheduling_modes'
    }

Retrieve the number of values currently stored in the scheduling mode array of the query's structure.

Parameters:

`query` (Gst.Query) –

a GST_QUERY_SCHEDULING type query Gst.Query

Returns (Number) –

the scheduling mode array size as a guint.

#### Gst.Query.get_n_scheduling_modes

    def Gst.Query.get_n_scheduling_modes (self):
        #python wrapper for 'gst_query_get_n_scheduling_modes'

Retrieve the number of values currently stored in the scheduling mode array of the query's structure.

Parameters:

`query` (Gst.Query) –

a GST_QUERY_SCHEDULING type query Gst.Query

Returns (int) –

the scheduling mode array size as a guint.

#### gst_query_get_structure

    const GstStructure *
    gst_query_get_structure (GstQuery * query)

Get the structure of a query.

Parameters:

`query` –

a GstQuery

Returns ( [transfer: none][nullable]) –

the GstStructure of the query. The structure is still owned by the query and will therefore be freed when the query is unreffed.

#### Gst.Query.prototype.get_structure

    function Gst.Query.prototype.get_structure(): {
        // javascript wrapper for 'gst_query_get_structure'
    }

Get the structure of a query.

Parameters:

`query` (Gst.Query) –

a Gst.Query

Returns (Gst.Structure) –

the Gst.Structure of the query. The structure is still owned by the query and will therefore be freed when the query is unreffed.

#### Gst.Query.get_structure

    def Gst.Query.get_structure (self):
        #python wrapper for 'gst_query_get_structure'

Get the structure of a query.

Parameters:

`query` (Gst.Query) –

a Gst.Query

Returns (Gst.Structure) –

the Gst.Structure of the query. The structure is still owned by the query and will therefore be freed when the query is unreffed.

#### gst_query_has_scheduling_mode

    gboolean
    gst_query_has_scheduling_mode (GstQuery * query,
                                   GstPadMode mode)

Check if query has scheduling mode set.

> When checking if upstream supports pull mode, it is usually not enough to just check for GST_PAD_MODE_PULL with this function, you also want to check whether the scheduling flags returned by gst_query_parse_scheduling have the seeking flag set (meaning random access is supported, not only sequential pulls).

Parameters:

`query` –

a GST_QUERY_SCHEDULING type query GstQuery

`mode` –

the scheduling mode

Returns –

TRUE when mode is in the list of scheduling modes.

#### Gst.Query.prototype.has_scheduling_mode

    function Gst.Query.prototype.has_scheduling_mode(mode: Gst.PadMode): {
        // javascript wrapper for 'gst_query_has_scheduling_mode'
    }

Check if query has scheduling mode set.

> When checking if upstream supports pull mode, it is usually not enough to just check for GST_PAD_MODE_PULL with this function, you also want to check whether the scheduling flags returned by Gst.Query.prototype.parse_scheduling have the seeking flag set (meaning random access is supported, not only sequential pulls).

Parameters:

`query` (Gst.Query) –

a GST_QUERY_SCHEDULING type query Gst.Query

`mode` (Gst.PadMode) –

the scheduling mode

Returns (Number) –

TRUE when mode is in the list of scheduling modes.

#### Gst.Query.has_scheduling_mode

    def Gst.Query.has_scheduling_mode (self, mode):
        #python wrapper for 'gst_query_has_scheduling_mode'

Check if query has scheduling mode set.

> When checking if upstream supports pull mode, it is usually not enough to just check for GST_PAD_MODE_PULL with this function, you also want to check whether the scheduling flags returned by Gst.Query.parse_scheduling have the seeking flag set (meaning random access is supported, not only sequential pulls).

Parameters:

`query` (Gst.Query) –

a GST_QUERY_SCHEDULING type query Gst.Query

`mode` (Gst.PadMode) –

the scheduling mode

Returns (bool) –

TRUE when mode is in the list of scheduling modes.

#### gst_query_has_scheduling_mode_with_flags

    gboolean
    gst_query_has_scheduling_mode_with_flags (GstQuery * query,
                                              GstPadMode mode,
                                              GstSchedulingFlags flags)

Check if query has scheduling mode set and flags is set in query scheduling flags.

Parameters:

`query` –

a GST_QUERY_SCHEDULING type query GstQuery

`mode` –

the scheduling mode

`flags` –

GstSchedulingFlags

Returns –

TRUE when mode is in the list of scheduling modes and flags are compatible with query flags.

#### Gst.Query.prototype.has_scheduling_mode_with_flags

    function Gst.Query.prototype.has_scheduling_mode_with_flags(mode: Gst.PadMode, flags: Gst.SchedulingFlags): {
        // javascript wrapper for 'gst_query_has_scheduling_mode_with_flags'
    }

Check if query has scheduling mode set and flags is set in query scheduling flags.

Parameters:

`query` (Gst.Query) –

a GST_QUERY_SCHEDULING type query Gst.Query

`mode` (Gst.PadMode) –

the scheduling mode

`flags` (Gst.SchedulingFlags) –

Gst.SchedulingFlags

Returns (Number) –

TRUE when mode is in the list of scheduling modes and flags are compatible with query flags.

#### Gst.Query.has_scheduling_mode_with_flags

    def Gst.Query.has_scheduling_mode_with_flags (self, mode, flags):
        #python wrapper for 'gst_query_has_scheduling_mode_with_flags'

Check if query has scheduling mode set and flags is set in query scheduling flags.

Parameters:

`query` (Gst.Query) –

a GST_QUERY_SCHEDULING type query Gst.Query

`mode` (Gst.PadMode) –

the scheduling mode

`flags` (Gst.SchedulingFlags) –

Gst.SchedulingFlags

Returns (bool) –

TRUE when mode is in the list of scheduling modes and flags are compatible with query flags.

#### gst_query_parse_accept_caps

    gst_query_parse_accept_caps (GstQuery * query,
                                 GstCaps ** caps)

Get the caps from query. The caps remains valid as long as query remains valid.

Parameters:

`query` –

The query to parse

`caps` ( [out][transfer: none]) –

A pointer to the caps

#### Gst.Query.prototype.parse_accept_caps

    function Gst.Query.prototype.parse_accept_caps(): {
        // javascript wrapper for 'gst_query_parse_accept_caps'
    }

Get the caps from query. The caps remains valid as long as query remains valid.

Parameters:

`query` (Gst.Query) –

The query to parse

#### Gst.Query.parse_accept_caps

    def Gst.Query.parse_accept_caps (self):
        #python wrapper for 'gst_query_parse_accept_caps'

Get the caps from query. The caps remains valid as long as query remains valid.

Parameters:

`query` (Gst.Query) –

The query to parse

#### gst_query_parse_accept_caps_result

    gst_query_parse_accept_caps_result (GstQuery * query,
                                        gboolean* result)

Parse the result from query and store in result.

Parameters:

`query` –

a GST_QUERY_ACCEPT_CAPS type query GstQuery

`result` ( [out][nullable]) –

location for the result

#### Gst.Query.prototype.parse_accept_caps_result

    function Gst.Query.prototype.parse_accept_caps_result(): {
        // javascript wrapper for 'gst_query_parse_accept_caps_result'
    }

Parse the result from query and store in result.

Parameters:

`query` (Gst.Query) –

a GST_QUERY_ACCEPT_CAPS type query Gst.Query

#### Gst.Query.parse_accept_caps_result

    def Gst.Query.parse_accept_caps_result (self):
        #python wrapper for 'gst_query_parse_accept_caps_result'

Parse the result from query and store in result.

Parameters:

`query` (Gst.Query) –

a GST_QUERY_ACCEPT_CAPS type query Gst.Query

#### gst_query_parse_allocation

    gst_query_parse_allocation (GstQuery * query,
                                GstCaps ** caps,
                                gboolean* need_pool)

Parse an allocation query, writing the requested caps in caps and whether a pool is needed in need_pool, if the respective parameters are non-%NULL.

Pool details can be retrieved using gst_query_get_n_allocation_pools and gst_query_parse_nth_allocation_pool.

Parameters:

`query` –

a GstQuery

`caps` ( [out][transfer: none][optional][nullable]) –

The GstCaps

`need_pool` ( [out][optional]) –

Whether a GstBufferPool is needed

#### Gst.Query.prototype.parse_allocation

    function Gst.Query.prototype.parse_allocation(): {
        // javascript wrapper for 'gst_query_parse_allocation'
    }

Parse an allocation query, writing the requested caps in caps and whether a pool is needed in need_pool, if the respective parameters are non-%NULL.

Pool details can be retrieved using Gst.Query.prototype.get_n_allocation_pools and Gst.Query.prototype.parse_nth_allocation_pool.

Parameters:

`query` (Gst.Query) –

a Gst.Query

#### Gst.Query.parse_allocation

    def Gst.Query.parse_allocation (self):
        #python wrapper for 'gst_query_parse_allocation'

Parse an allocation query, writing the requested caps in caps and whether a pool is needed in need_pool, if the respective parameters are non-%NULL.

Pool details can be retrieved using Gst.Query.get_n_allocation_pools and Gst.Query.parse_nth_allocation_pool.

Parameters:

`query` (Gst.Query) –

a Gst.Query

#### gst_query_parse_bitrate

    gst_query_parse_bitrate (GstQuery * query,
                             guint* nominal_bitrate)

Get the results of a bitrate query. See also gst_query_set_bitrate.

Parameters:

`query` –

a GST_QUERY_BITRATE type GstQuery

`nominal_bitrate` ( [out][optional]) –

The resulting bitrate in bits per second

Since : 1.16

#### Gst.Query.prototype.parse_bitrate

    function Gst.Query.prototype.parse_bitrate(): {
        // javascript wrapper for 'gst_query_parse_bitrate'
    }

Get the results of a bitrate query. See also Gst.Query.prototype.set_bitrate.

Parameters:

`query` (Gst.Query) –

a GST_QUERY_BITRATE type Gst.Query

Since : 1.16

#### Gst.Query.parse_bitrate

    def Gst.Query.parse_bitrate (self):
        #python wrapper for 'gst_query_parse_bitrate'

Get the results of a bitrate query. See also Gst.Query.set_bitrate.

Parameters:

`query` (Gst.Query) –

a GST_QUERY_BITRATE type Gst.Query

Since : 1.16

#### gst_query_parse_buffering_percent

    gst_query_parse_buffering_percent (GstQuery * query,
                                       gboolean* busy,
                                       gint* percent)

Get the percentage of buffered data. This is a value between 0 and 100. The busy indicator is TRUE when the buffering is in progress.

Parameters:

`query` –

A valid GstQuery of type GST_QUERY_BUFFERING.

`busy` ( [out][optional]) –

if buffering is busy, or NULL

`percent` ( [out][optional]) –

a buffering percent, or NULL

#### Gst.Query.prototype.parse_buffering_percent

    function Gst.Query.prototype.parse_buffering_percent(): {
        // javascript wrapper for 'gst_query_parse_buffering_percent'
    }

Get the percentage of buffered data. This is a value between 0 and 100. The busy indicator is TRUE when the buffering is in progress.

Parameters:

`query` (Gst.Query) –

A valid Gst.Query of type GST_QUERY_BUFFERING.

#### Gst.Query.parse_buffering_percent

    def Gst.Query.parse_buffering_percent (self):
        #python wrapper for 'gst_query_parse_buffering_percent'

Get the percentage of buffered data. This is a value between 0 and 100. The busy indicator is TRUE when the buffering is in progress.

Parameters:

`query` (Gst.Query) –

A valid Gst.Query of type GST_QUERY_BUFFERING.

#### gst_query_parse_buffering_range

    gst_query_parse_buffering_range (GstQuery * query,
                                     GstFormat * format,
                                     gint64* start,
                                     gint64* stop,
                                     gint64* estimated_total)

Parse an available query, writing the format into format, and other results into the passed parameters, if the respective parameters are non-%NULL

Parameters:

`query` –

a GST_QUERY_BUFFERING type query GstQuery

`format` ( [out][optional]) –

the format to set for the segment_start and segment_end values, or NULL

`start` ( [out][optional]) –

the start to set, or NULL

`stop` ( [out][optional]) –

the stop to set, or NULL

`estimated_total` ( [out][optional]) –

estimated total amount of download time remaining in milliseconds, or NULL

#### Gst.Query.prototype.parse_buffering_range

    function Gst.Query.prototype.parse_buffering_range(): {
        // javascript wrapper for 'gst_query_parse_buffering_range'
    }

Parse an available query, writing the format into format, and other results into the passed parameters, if the respective parameters are non-%NULL

Parameters:

`query` (Gst.Query) –

a GST_QUERY_BUFFERING type query Gst.Query

#### Gst.Query.parse_buffering_range

    def Gst.Query.parse_buffering_range (self):
        #python wrapper for 'gst_query_parse_buffering_range'

Parse an available query, writing the format into format, and other results into the passed parameters, if the respective parameters are non-%NULL

Parameters:

`query` (Gst.Query) –

a GST_QUERY_BUFFERING type query Gst.Query

#### gst_query_parse_buffering_stats

    gst_query_parse_buffering_stats (GstQuery * query,
                                     GstBufferingMode * mode,
                                     gint* avg_in,
                                     gint* avg_out,
                                     gint64* buffering_left)

Extracts the buffering stats values from query.

Parameters:

`query` –

A valid GstQuery of type GST_QUERY_BUFFERING.

`mode` ( [out][optional]) –

a buffering mode, or NULL

`avg_in` ( [out][optional]) –

the average input rate, or NULL

`avg_out` ( [out][optional]) –

the average output rat, or NULL

`buffering_left` ( [out][optional]) –

amount of buffering time left in milliseconds, or NULL

#### Gst.Query.prototype.parse_buffering_stats

    function Gst.Query.prototype.parse_buffering_stats(): {
        // javascript wrapper for 'gst_query_parse_buffering_stats'
    }

Extracts the buffering stats values from query.

Parameters:

`query` (Gst.Query) –

A valid Gst.Query of type GST_QUERY_BUFFERING.

#### Gst.Query.parse_buffering_stats

    def Gst.Query.parse_buffering_stats (self):
        #python wrapper for 'gst_query_parse_buffering_stats'

Extracts the buffering stats values from query.

Parameters:

`query` (Gst.Query) –

A valid Gst.Query of type GST_QUERY_BUFFERING.

#### gst_query_parse_caps

    gst_query_parse_caps (GstQuery * query,
                          GstCaps ** filter)

Get the filter from the caps query. The caps remains valid as long as query remains valid.

Parameters:

`query` –

The query to parse

`filter` ( [out][transfer: none]) –

A pointer to the caps filter

#### Gst.Query.prototype.parse_caps

    function Gst.Query.prototype.parse_caps(): {
        // javascript wrapper for 'gst_query_parse_caps'
    }

Get the filter from the caps query. The caps remains valid as long as query remains valid.

Parameters:

`query` (Gst.Query) –

The query to parse

#### Gst.Query.parse_caps

    def Gst.Query.parse_caps (self):
        #python wrapper for 'gst_query_parse_caps'

Get the filter from the caps query. The caps remains valid as long as query remains valid.

Parameters:

`query` (Gst.Query) –

The query to parse

#### gst_query_parse_caps_result

    gst_query_parse_caps_result (GstQuery * query,
                                 GstCaps ** caps)

Get the caps result from query. The caps remains valid as long as query remains valid.

Parameters:

`query` –

The query to parse

`caps` ( [out][transfer: none][nullable]) –

A pointer to the caps

#### Gst.Query.prototype.parse_caps_result

    function Gst.Query.prototype.parse_caps_result(): {
        // javascript wrapper for 'gst_query_parse_caps_result'
    }

Get the caps result from query. The caps remains valid as long as query remains valid.

Parameters:

`query` (Gst.Query) –

The query to parse

#### Gst.Query.parse_caps_result

    def Gst.Query.parse_caps_result (self):
        #python wrapper for 'gst_query_parse_caps_result'

Get the caps result from query. The caps remains valid as long as query remains valid.

Parameters:

`query` (Gst.Query) –

The query to parse

#### gst_query_parse_context

    gst_query_parse_context (GstQuery * query,
                             GstContext ** context)

Get the context from the context query. The context remains valid as long as query remains valid.

Parameters:

`query` –

The query to parse

`context` ( [out][transfer: none][nullable]) –

A pointer to store the GstContext

Since : 1.2

#### Gst.Query.prototype.parse_context

    function Gst.Query.prototype.parse_context(): {
        // javascript wrapper for 'gst_query_parse_context'
    }

Get the context from the context query. The context remains valid as long as query remains valid.

Parameters:

`query` (Gst.Query) –

The query to parse

Since : 1.2

#### Gst.Query.parse_context

    def Gst.Query.parse_context (self):
        #python wrapper for 'gst_query_parse_context'

Get the context from the context query. The context remains valid as long as query remains valid.

Parameters:

`query` (Gst.Query) –

The query to parse

Since : 1.2

#### gst_query_parse_context_type

    gboolean
    gst_query_parse_context_type (GstQuery * query,
                                  const gchar** context_type)

Parse a context type from an existing GST_QUERY_CONTEXT query.

Parameters:

`query` –

a GST_QUERY_CONTEXT type query

`context_type` ( [out][transfer: none][optional]) –

the context type, or NULL

Returns –

a gboolean indicating if the parsing succeeded.

Since : 1.2

#### Gst.Query.prototype.parse_context_type

    function Gst.Query.prototype.parse_context_type(): {
        // javascript wrapper for 'gst_query_parse_context_type'
    }

Parse a context type from an existing GST_QUERY_CONTEXT query.

Parameters:

`query` (Gst.Query) –

a GST_QUERY_CONTEXT type query

Returns a tuple made of:

(Number ) –

a gboolean indicating if the parsing succeeded.

`context_type` (String ) –

a gboolean indicating if the parsing succeeded.

Since : 1.2

#### Gst.Query.parse_context_type

    def Gst.Query.parse_context_type (self):
        #python wrapper for 'gst_query_parse_context_type'

Parse a context type from an existing GST_QUERY_CONTEXT query.

Parameters:

`query` (Gst.Query) –

a GST_QUERY_CONTEXT type query

Returns a tuple made of:

(bool ) –

a gboolean indicating if the parsing succeeded.

`context_type` (str ) –

a gboolean indicating if the parsing succeeded.

Since : 1.2

#### gst_query_parse_convert

    gst_query_parse_convert (GstQuery * query,
                             GstFormat * src_format,
                             gint64* src_value,
                             GstFormat * dest_format,
                             gint64* dest_value)

Parse a convert query answer. Any of src_format, src_value, dest_format, and dest_value may be NULL, in which case that value is omitted.

Parameters:

`query` –

a GstQuery

`src_format` ( [out][optional]) –

the storage for the GstFormat of the source value, or NULL

`src_value` ( [out][optional]) –

the storage for the source value, or NULL

`dest_format` ( [out][optional]) –

the storage for the GstFormat of the destination value, or NULL

`dest_value` ( [out][optional]) –

the storage for the destination value, or NULL

#### Gst.Query.prototype.parse_convert

    function Gst.Query.prototype.parse_convert(): {
        // javascript wrapper for 'gst_query_parse_convert'
    }

Parse a convert query answer. Any of src_format, src_value, dest_format, and dest_value may be NULL, in which case that value is omitted.

Parameters:

`query` (Gst.Query) –

a Gst.Query

#### Gst.Query.parse_convert

    def Gst.Query.parse_convert (self):
        #python wrapper for 'gst_query_parse_convert'

Parse a convert query answer. Any of src_format, src_value, dest_format, and dest_value may be NULL, in which case that value is omitted.

Parameters:

`query` (Gst.Query) –

a Gst.Query

#### gst_query_parse_duration

    gst_query_parse_duration (GstQuery * query,
                              GstFormat * format,
                              gint64* duration)

Parse a duration query answer. Write the format of the duration into format, and the value into duration, if the respective variables are non-%NULL.

Parameters:

`query` –

a GstQuery

`format` ( [out][optional]) –

the storage for the GstFormat of the duration value, or NULL.

`duration` ( [out][optional]) –

the storage for the total duration, or NULL.

#### Gst.Query.prototype.parse_duration

    function Gst.Query.prototype.parse_duration(): {
        // javascript wrapper for 'gst_query_parse_duration'
    }

Parse a duration query answer. Write the format of the duration into format, and the value into duration, if the respective variables are non-%NULL.

Parameters:

`query` (Gst.Query) –

a Gst.Query

#### Gst.Query.parse_duration

    def Gst.Query.parse_duration (self):
        #python wrapper for 'gst_query_parse_duration'

Parse a duration query answer. Write the format of the duration into format, and the value into duration, if the respective variables are non-%NULL.

Parameters:

`query` (Gst.Query) –

a Gst.Query

#### gst_query_parse_latency

    gst_query_parse_latency (GstQuery * query,
                             gboolean* live,
                             GstClockTime * min_latency,
                             GstClockTime * max_latency)

Parse a latency query answer.

Parameters:

`query` –

a GstQuery

`live` ( [out][optional]) –

storage for live or NULL

`min_latency` ( [out][optional]) –

the storage for the min latency or NULL

`max_latency` ( [out][optional]) –

the storage for the max latency or NULL

#### Gst.Query.prototype.parse_latency

    function Gst.Query.prototype.parse_latency(): {
        // javascript wrapper for 'gst_query_parse_latency'
    }

Parse a latency query answer.

Parameters:

`query` (Gst.Query) –

a Gst.Query

#### Gst.Query.parse_latency

    def Gst.Query.parse_latency (self):
        #python wrapper for 'gst_query_parse_latency'

Parse a latency query answer.

Parameters:

`query` (Gst.Query) –

a Gst.Query

#### gst_query_parse_n_formats

    gst_query_parse_n_formats (GstQuery * query,
                               guint* n_formats)

Parse the number of formats in the formats query.

Parameters:

`query` –

a GstQuery

`n_formats` ( [out][optional]) –

the number of formats in this query.

#### Gst.Query.prototype.parse_n_formats

    function Gst.Query.prototype.parse_n_formats(): {
        // javascript wrapper for 'gst_query_parse_n_formats'
    }

Parse the number of formats in the formats query.

Parameters:

`query` (Gst.Query) –

a Gst.Query

#### Gst.Query.parse_n_formats

    def Gst.Query.parse_n_formats (self):
        #python wrapper for 'gst_query_parse_n_formats'

Parse the number of formats in the formats query.

Parameters:

`query` (Gst.Query) –

a Gst.Query

#### gst_query_parse_nth_allocation_meta

    GType
    gst_query_parse_nth_allocation_meta (GstQuery * query,
                                         guint index,
                                         const GstStructure ** params)

Parse an available query and get the metadata API at index of the metadata API array.

Parameters:

`query` –

a GST_QUERY_ALLOCATION type query GstQuery

`index` –

position in the metadata API array to read

`params` ( [out][transfer: none][optional]) –

API specific parameters

Returns –

a GType of the metadata API at index.

#### Gst.Query.prototype.parse_nth_allocation_meta

    function Gst.Query.prototype.parse_nth_allocation_meta(index: Number): {
        // javascript wrapper for 'gst_query_parse_nth_allocation_meta'
    }

Parse an available query and get the metadata API at index of the metadata API array.

Parameters:

`query` (Gst.Query) –

a GST_QUERY_ALLOCATION type query Gst.Query

`index` (Number) –

position in the metadata API array to read

Returns a tuple made of:

(GObject.Type ) –

a GObject.Type of the metadata API at index.

`params` (Gst.Structure ) –

a GObject.Type of the metadata API at index.

#### Gst.Query.parse_nth_allocation_meta

    def Gst.Query.parse_nth_allocation_meta (self, index):
        #python wrapper for 'gst_query_parse_nth_allocation_meta'

Parse an available query and get the metadata API at index of the metadata API array.

Parameters:

`query` (Gst.Query) –

a GST_QUERY_ALLOCATION type query Gst.Query

`index` (int) –

position in the metadata API array to read

Returns a tuple made of:

(GObject.Type ) –

a GObject.Type of the metadata API at index.

`params` (Gst.Structure ) –

a GObject.Type of the metadata API at index.

#### gst_query_parse_nth_allocation_param

    gst_query_parse_nth_allocation_param (GstQuery * query,
                                          guint index,
                                          GstAllocator ** allocator,
                                          GstAllocationParams * params)

Parse an available query and get the allocator and its params at index of the allocator array.

Parameters:

`query` –

a GST_QUERY_ALLOCATION type query GstQuery

`index` –

position in the allocator array to read

`allocator` ( [out][transfer: full][optional][nullable]) –

variable to hold the result

`params` ( [out][optional]) –

parameters for the allocator

#### Gst.Query.prototype.parse_nth_allocation_param

    function Gst.Query.prototype.parse_nth_allocation_param(index: Number): {
        // javascript wrapper for 'gst_query_parse_nth_allocation_param'
    }

Parse an available query and get the allocator and its params at index of the allocator array.

Parameters:

`query` (Gst.Query) –

a GST_QUERY_ALLOCATION type query Gst.Query

`index` (Number) –

position in the allocator array to read

#### Gst.Query.parse_nth_allocation_param

    def Gst.Query.parse_nth_allocation_param (self, index):
        #python wrapper for 'gst_query_parse_nth_allocation_param'

Parse an available query and get the allocator and its params at index of the allocator array.

Parameters:

`query` (Gst.Query) –

a GST_QUERY_ALLOCATION type query Gst.Query

`index` (int) –

position in the allocator array to read

#### gst_query_parse_nth_allocation_pool

    gst_query_parse_nth_allocation_pool (GstQuery * query,
                                         guint index,
                                         GstBufferPool ** pool,
                                         guint* size,
                                         guint* min_buffers,
                                         guint* max_buffers)

Get the pool parameters in query.

Unref pool with gst_object_unref when it's not needed any more.

Parameters:

`query` –

A valid GstQuery of type GST_QUERY_ALLOCATION.

`index` –

index to parse

`pool` ( [out][optional][transfer: full][nullable]) –

the GstBufferPool

`size` ( [out][optional]) –

the buffer size

`min_buffers` ( [out][optional]) –

the min buffers

`max_buffers` ( [out][optional]) –

the max buffers

#### Gst.Query.prototype.parse_nth_allocation_pool

    function Gst.Query.prototype.parse_nth_allocation_pool(index: Number): {
        // javascript wrapper for 'gst_query_parse_nth_allocation_pool'
    }

Get the pool parameters in query.

Unref pool with Gst.Object.prototype.unref when it's not needed any more.

Parameters:

`query` (Gst.Query) –

A valid Gst.Query of type GST_QUERY_ALLOCATION.

`index` (Number) –

index to parse

#### Gst.Query.parse_nth_allocation_pool

    def Gst.Query.parse_nth_allocation_pool (self, index):
        #python wrapper for 'gst_query_parse_nth_allocation_pool'

Get the pool parameters in query.

Unref pool with Gst.Object.unref when it's not needed any more.

Parameters:

`query` (Gst.Query) –

A valid Gst.Query of type GST_QUERY_ALLOCATION.

`index` (int) –

index to parse

#### gst_query_parse_nth_buffering_range

    gboolean
    gst_query_parse_nth_buffering_range (GstQuery * query,
                                         guint index,
                                         gint64* start,
                                         gint64* stop)

Parse an available query and get the start and stop values stored at the index of the buffered ranges array.

Parameters:

`query` –

a GST_QUERY_BUFFERING type query GstQuery

`index` –

position in the buffered-ranges array to read

`start` ( [out][optional]) –

the start position to set, or NULL

`stop` ( [out][optional]) –

the stop position to set, or NULL

Returns –

a gboolean indicating if the parsing succeeded.

#### Gst.Query.prototype.parse_nth_buffering_range

    function Gst.Query.prototype.parse_nth_buffering_range(index: Number): {
        // javascript wrapper for 'gst_query_parse_nth_buffering_range'
    }

Parse an available query and get the start and stop values stored at the index of the buffered ranges array.

Parameters:

`query` (Gst.Query) –

a GST_QUERY_BUFFERING type query Gst.Query

`index` (Number) –

position in the buffered-ranges array to read

Returns a tuple made of:

(Number ) –

a gboolean indicating if the parsing succeeded.

`start` (Number ) –

a gboolean indicating if the parsing succeeded.

`stop` (Number ) –

a gboolean indicating if the parsing succeeded.

#### Gst.Query.parse_nth_buffering_range

    def Gst.Query.parse_nth_buffering_range (self, index):
        #python wrapper for 'gst_query_parse_nth_buffering_range'

Parse an available query and get the start and stop values stored at the index of the buffered ranges array.

Parameters:

`query` (Gst.Query) –

a GST_QUERY_BUFFERING type query Gst.Query

`index` (int) –

position in the buffered-ranges array to read

Returns a tuple made of:

(bool ) –

a gboolean indicating if the parsing succeeded.

`start` (int ) –

a gboolean indicating if the parsing succeeded.

`stop` (int ) –

a gboolean indicating if the parsing succeeded.

#### gst_query_parse_nth_format

    gst_query_parse_nth_format (GstQuery * query,
                                guint nth,
                                GstFormat * format)

Parse the format query and retrieve the nth format from it into format. If the list contains less elements than nth, format will be set to GST_FORMAT_UNDEFINED.

Parameters:

`query` –

a GstQuery

`nth` –

the nth format to retrieve.

`format` ( [out][optional]) –

a pointer to store the nth format

#### Gst.Query.prototype.parse_nth_format

    function Gst.Query.prototype.parse_nth_format(nth: Number): {
        // javascript wrapper for 'gst_query_parse_nth_format'
    }

Parse the format query and retrieve the nth format from it into format. If the list contains less elements than nth, format will be set to GST_FORMAT_UNDEFINED.

Parameters:

`query` (Gst.Query) –

a Gst.Query

`nth` (Number) –

the nth format to retrieve.

#### Gst.Query.parse_nth_format

    def Gst.Query.parse_nth_format (self, nth):
        #python wrapper for 'gst_query_parse_nth_format'

Parse the format query and retrieve the nth format from it into format. If the list contains less elements than nth, format will be set to GST_FORMAT_UNDEFINED.

Parameters:

`query` (Gst.Query) –

a Gst.Query

`nth` (int) –

the nth format to retrieve.

#### gst_query_parse_nth_scheduling_mode

    GstPadMode
    gst_query_parse_nth_scheduling_mode (GstQuery * query,
                                         guint index)

Parse an available query and get the scheduling mode at index of the scheduling modes array.

Parameters:

`query` –

a GST_QUERY_SCHEDULING type query GstQuery

`index` –

position in the scheduling modes array to read

Returns –

a GstPadMode of the scheduling mode at index.

#### Gst.Query.prototype.parse_nth_scheduling_mode

    function Gst.Query.prototype.parse_nth_scheduling_mode(index: Number): {
        // javascript wrapper for 'gst_query_parse_nth_scheduling_mode'
    }

Parse an available query and get the scheduling mode at index of the scheduling modes array.

Parameters:

`query` (Gst.Query) –

a GST_QUERY_SCHEDULING type query Gst.Query

`index` (Number) –

position in the scheduling modes array to read

Returns (Gst.PadMode) –

a Gst.PadMode of the scheduling mode at index.

#### Gst.Query.parse_nth_scheduling_mode

    def Gst.Query.parse_nth_scheduling_mode (self, index):
        #python wrapper for 'gst_query_parse_nth_scheduling_mode'

Parse an available query and get the scheduling mode at index of the scheduling modes array.

Parameters:

`query` (Gst.Query) –

a GST_QUERY_SCHEDULING type query Gst.Query

`index` (int) –

position in the scheduling modes array to read

Returns (Gst.PadMode) –

a Gst.PadMode of the scheduling mode at index.

#### gst_query_parse_position

    gst_query_parse_position (GstQuery * query,
                              GstFormat * format,
                              gint64* cur)

Parse a position query, writing the format into format, and the position into cur, if the respective parameters are non-%NULL.

Parameters:

`query` –

a GstQuery

`format` ( [out][optional]) –

the storage for the GstFormat of the position values (may be NULL)

`cur` ( [out][optional]) –

the storage for the current position (may be NULL)

#### Gst.Query.prototype.parse_position

    function Gst.Query.prototype.parse_position(): {
        // javascript wrapper for 'gst_query_parse_position'
    }

Parse a position query, writing the format into format, and the position into cur, if the respective parameters are non-%NULL.

Parameters:

`query` (Gst.Query) –

a Gst.Query

#### Gst.Query.parse_position

    def Gst.Query.parse_position (self):
        #python wrapper for 'gst_query_parse_position'

Parse a position query, writing the format into format, and the position into cur, if the respective parameters are non-%NULL.

Parameters:

`query` (Gst.Query) –

a Gst.Query

#### gst_query_parse_scheduling

    gst_query_parse_scheduling (GstQuery * query,
                                GstSchedulingFlags * flags,
                                gint* minsize,
                                gint* maxsize,
                                gint* align)

Set the scheduling properties.

Parameters:

`query` –

A valid GstQuery of type GST_QUERY_SCHEDULING.

`flags` ( [out][optional]) –

GstSchedulingFlags

`minsize` ( [out][optional]) –

the suggested minimum size of pull requests

`maxsize` ( [out][optional]) –

the suggested maximum size of pull requests:

`align` ( [out][optional]) –

the suggested alignment of pull requests

#### Gst.Query.prototype.parse_scheduling

    function Gst.Query.prototype.parse_scheduling(): {
        // javascript wrapper for 'gst_query_parse_scheduling'
    }

Set the scheduling properties.

Parameters:

`query` (Gst.Query) –

A valid Gst.Query of type GST_QUERY_SCHEDULING.

#### Gst.Query.parse_scheduling

    def Gst.Query.parse_scheduling (self):
        #python wrapper for 'gst_query_parse_scheduling'

Set the scheduling properties.

Parameters:

`query` (Gst.Query) –

A valid Gst.Query of type GST_QUERY_SCHEDULING.

#### gst_query_parse_seeking

    gst_query_parse_seeking (GstQuery * query,
                             GstFormat * format,
                             gboolean* seekable,
                             gint64* segment_start,
                             gint64* segment_end)

Parse a seeking query, writing the format into format, and other results into the passed parameters, if the respective parameters are non-%NULL

Parameters:

`query` –

a GST_QUERY_SEEKING type query GstQuery

`format` ( [out][optional]) –

the format to set for the segment_start and segment_end values, or NULL

`seekable` ( [out][optional]) –

the seekable flag to set, or NULL

`segment_start` ( [out][optional]) –

the segment_start to set, or NULL

`segment_end` ( [out][optional]) –

the segment_end to set, or NULL

#### Gst.Query.prototype.parse_seeking

    function Gst.Query.prototype.parse_seeking(): {
        // javascript wrapper for 'gst_query_parse_seeking'
    }

Parse a seeking query, writing the format into format, and other results into the passed parameters, if the respective parameters are non-%NULL

Parameters:

`query` (Gst.Query) –

a GST_QUERY_SEEKING type query Gst.Query

#### Gst.Query.parse_seeking

    def Gst.Query.parse_seeking (self):
        #python wrapper for 'gst_query_parse_seeking'

Parse a seeking query, writing the format into format, and other results into the passed parameters, if the respective parameters are non-%NULL

Parameters:

`query` (Gst.Query) –

a GST_QUERY_SEEKING type query Gst.Query

#### gst_query_parse_segment

    gst_query_parse_segment (GstQuery * query,
                             gdouble* rate,
                             GstFormat * format,
                             gint64* start_value,
                             gint64* stop_value)

Parse a segment query answer. Any of rate, format, start_value, and stop_value may be NULL, which will cause this value to be omitted.

See gst_query_set_segment for an explanation of the function arguments.

Parameters:

`query` –

a GstQuery

`rate` ( [out][optional]) –

the storage for the rate of the segment, or NULL

`format` ( [out][optional]) –

the storage for the GstFormat of the values, or NULL

`start_value` ( [out][optional]) –

the storage for the start value, or NULL

`stop_value` ( [out][optional]) –

the storage for the stop value, or NULL

#### Gst.Query.prototype.parse_segment

    function Gst.Query.prototype.parse_segment(): {
        // javascript wrapper for 'gst_query_parse_segment'
    }

Parse a segment query answer. Any of rate, format, start_value, and stop_value may be NULL, which will cause this value to be omitted.

See Gst.Query.prototype.set_segment for an explanation of the function arguments.

Parameters:

`query` (Gst.Query) –

a Gst.Query

#### Gst.Query.parse_segment

    def Gst.Query.parse_segment (self):
        #python wrapper for 'gst_query_parse_segment'

Parse a segment query answer. Any of rate, format, start_value, and stop_value may be NULL, which will cause this value to be omitted.

See Gst.Query.set_segment for an explanation of the function arguments.

Parameters:

`query` (Gst.Query) –

a Gst.Query

#### gst_query_parse_selectable

    gst_query_parse_selectable (GstQuery * query,
                                gboolean* selectable)

Get the results of a selectable query. See also gst_query_set_selectable.

Parameters:

`query` –

a GST_QUERY_SELECTABLE type GstQuery

`selectable` ( [out][optional]) –

The resulting stream selection capability

Since : 1.22

#### Gst.Query.prototype.parse_selectable

    function Gst.Query.prototype.parse_selectable(): {
        // javascript wrapper for 'gst_query_parse_selectable'
    }

Get the results of a selectable query. See also Gst.Query.prototype.set_selectable.

Parameters:

`query` (Gst.Query) –

a GST_QUERY_SELECTABLE type Gst.Query

Since : 1.22

#### Gst.Query.parse_selectable

    def Gst.Query.parse_selectable (self):
        #python wrapper for 'gst_query_parse_selectable'

Get the results of a selectable query. See also Gst.Query.set_selectable.

Parameters:

`query` (Gst.Query) –

a GST_QUERY_SELECTABLE type Gst.Query

Since : 1.22

#### gst_query_parse_uri

    gst_query_parse_uri (GstQuery * query,
                         gchar** uri)

Parse an URI query, writing the URI into uri as a newly allocated string, if the respective parameters are non-%NULL. Free the string with g_free after usage.

Parameters:

`query` –

a GstQuery

`uri` ( [out][transfer: full][optional][nullable]) –

the storage for the current URI (may be NULL)

#### Gst.Query.prototype.parse_uri

    function Gst.Query.prototype.parse_uri(): {
        // javascript wrapper for 'gst_query_parse_uri'
    }

Parse an URI query, writing the URI into uri as a newly allocated string, if the respective parameters are non-%NULL. Free the string with GLib.prototype.free after usage.

Parameters:

`query` (Gst.Query) –

a Gst.Query

#### Gst.Query.parse_uri

    def Gst.Query.parse_uri (self):
        #python wrapper for 'gst_query_parse_uri'

Parse an URI query, writing the URI into uri as a newly allocated string, if the respective parameters are non-%NULL. Free the string with GLib.free after usage.

Parameters:

`query` (Gst.Query) –

a Gst.Query

#### gst_query_parse_uri_redirection

    gst_query_parse_uri_redirection (GstQuery * query,
                                     gchar** uri)

Parse an URI query, writing the URI into uri as a newly allocated string, if the respective parameters are non-%NULL. Free the string with g_free after usage.

Parameters:

`query` –

a GstQuery

`uri` ( [out][transfer: full][optional][nullable]) –

the storage for the redirect URI (may be NULL)

Since : 1.2

#### Gst.Query.prototype.parse_uri_redirection

    function Gst.Query.prototype.parse_uri_redirection(): {
        // javascript wrapper for 'gst_query_parse_uri_redirection'
    }

Parse an URI query, writing the URI into uri as a newly allocated string, if the respective parameters are non-%NULL. Free the string with GLib.prototype.free after usage.

Parameters:

`query` (Gst.Query) –

a Gst.Query

Since : 1.2

#### Gst.Query.parse_uri_redirection

    def Gst.Query.parse_uri_redirection (self):
        #python wrapper for 'gst_query_parse_uri_redirection'

Parse an URI query, writing the URI into uri as a newly allocated string, if the respective parameters are non-%NULL. Free the string with GLib.free after usage.

Parameters:

`query` (Gst.Query) –

a Gst.Query

Since : 1.2

#### gst_query_parse_uri_redirection_permanent

    gst_query_parse_uri_redirection_permanent (GstQuery * query,
                                               gboolean* permanent)

Parse an URI query, and set permanent to TRUE if there is a redirection and it should be considered permanent. If a redirection is permanent, applications should update their internal storage of the URI, otherwise they should make all future requests to the original URI.

Parameters:

`query` –

a GstQuery

`permanent` ( [out][optional]) –

if the URI redirection is permanent (may be NULL)

Since : 1.4

#### Gst.Query.prototype.parse_uri_redirection_permanent

    function Gst.Query.prototype.parse_uri_redirection_permanent(): {
        // javascript wrapper for 'gst_query_parse_uri_redirection_permanent'
    }

Parse an URI query, and set permanent to TRUE if there is a redirection and it should be considered permanent. If a redirection is permanent, applications should update their internal storage of the URI, otherwise they should make all future requests to the original URI.

Parameters:

`query` (Gst.Query) –

a Gst.Query

Since : 1.4

#### Gst.Query.parse_uri_redirection_permanent

    def Gst.Query.parse_uri_redirection_permanent (self):
        #python wrapper for 'gst_query_parse_uri_redirection_permanent'

Parse an URI query, and set permanent to TRUE if there is a redirection and it should be considered permanent. If a redirection is permanent, applications should update their internal storage of the URI, otherwise they should make all future requests to the original URI.

Parameters:

`query` (Gst.Query) –

a Gst.Query

Since : 1.4

#### gst_query_ref

    GstQuery *
    gst_query_ref (GstQuery * q)

Increases the refcount of the given query by one.

Parameters:

`q` –

a GstQuery to increase the refcount of.

Returns –

q

#### Gst.Query.prototype.ref

    function Gst.Query.prototype.ref(): {
        // javascript wrapper for 'gst_query_ref'
    }

Increases the refcount of the given query by one.

Parameters:

`q` (Gst.Query) –

a Gst.Query to increase the refcount of.

Returns (Gst.Query) –

q

#### Gst.Query.ref

    def Gst.Query.ref (self):
        #python wrapper for 'gst_query_ref'

Increases the refcount of the given query by one.

Parameters:

`q` (Gst.Query) –

a Gst.Query to increase the refcount of.

Returns (Gst.Query) –

q

#### gst_query_remove_nth_allocation_meta

    gst_query_remove_nth_allocation_meta (GstQuery * query,
                                          guint index)

Remove the metadata API at index of the metadata API array.

Parameters:

`query` –

a GST_QUERY_ALLOCATION type query GstQuery

`index` –

position in the metadata API array to remove

#### Gst.Query.prototype.remove_nth_allocation_meta

    function Gst.Query.prototype.remove_nth_allocation_meta(index: Number): {
        // javascript wrapper for 'gst_query_remove_nth_allocation_meta'
    }

Remove the metadata API at index of the metadata API array.

Parameters:

`query` (Gst.Query) –

a GST_QUERY_ALLOCATION type query Gst.Query

`index` (Number) –

position in the metadata API array to remove

#### Gst.Query.remove_nth_allocation_meta

    def Gst.Query.remove_nth_allocation_meta (self, index):
        #python wrapper for 'gst_query_remove_nth_allocation_meta'

Remove the metadata API at index of the metadata API array.

Parameters:

`query` (Gst.Query) –

a GST_QUERY_ALLOCATION type query Gst.Query

`index` (int) –

position in the metadata API array to remove

#### gst_query_remove_nth_allocation_param

    gst_query_remove_nth_allocation_param (GstQuery * query,
                                           guint index)

Remove the allocation param at index of the allocation param array.

Parameters:

`query` –

a GST_QUERY_ALLOCATION type query GstQuery

`index` –

position in the allocation param array to remove

Since : 1.2

#### Gst.Query.prototype.remove_nth_allocation_param

    function Gst.Query.prototype.remove_nth_allocation_param(index: Number): {
        // javascript wrapper for 'gst_query_remove_nth_allocation_param'
    }

Remove the allocation param at index of the allocation param array.

Parameters:

`query` (Gst.Query) –

a GST_QUERY_ALLOCATION type query Gst.Query

`index` (Number) –

position in the allocation param array to remove

Since : 1.2

#### Gst.Query.remove_nth_allocation_param

    def Gst.Query.remove_nth_allocation_param (self, index):
        #python wrapper for 'gst_query_remove_nth_allocation_param'

Remove the allocation param at index of the allocation param array.

Parameters:

`query` (Gst.Query) –

a GST_QUERY_ALLOCATION type query Gst.Query

`index` (int) –

position in the allocation param array to remove

Since : 1.2

#### gst_query_remove_nth_allocation_pool

    gst_query_remove_nth_allocation_pool (GstQuery * query,
                                          guint index)

Remove the allocation pool at index of the allocation pool array.

Parameters:

`query` –

a GST_QUERY_ALLOCATION type query GstQuery

`index` –

position in the allocation pool array to remove

Since : 1.2

#### Gst.Query.prototype.remove_nth_allocation_pool

    function Gst.Query.prototype.remove_nth_allocation_pool(index: Number): {
        // javascript wrapper for 'gst_query_remove_nth_allocation_pool'
    }

Remove the allocation pool at index of the allocation pool array.

Parameters:

`query` (Gst.Query) –

a GST_QUERY_ALLOCATION type query Gst.Query

`index` (Number) –

position in the allocation pool array to remove

Since : 1.2

#### Gst.Query.remove_nth_allocation_pool

    def Gst.Query.remove_nth_allocation_pool (self, index):
        #python wrapper for 'gst_query_remove_nth_allocation_pool'

Remove the allocation pool at index of the allocation pool array.

Parameters:

`query` (Gst.Query) –

a GST_QUERY_ALLOCATION type query Gst.Query

`index` (int) –

position in the allocation pool array to remove

Since : 1.2

#### gst_query_set_accept_caps_result

    gst_query_set_accept_caps_result (GstQuery * query,
                                      gboolean result)

Set result as the result for the query.

Parameters:

`query` –

a GST_QUERY_ACCEPT_CAPS type query GstQuery

`result` –

the result to set

#### Gst.Query.prototype.set_accept_caps_result

    function Gst.Query.prototype.set_accept_caps_result(result: Number): {
        // javascript wrapper for 'gst_query_set_accept_caps_result'
    }

Set result as the result for the query.

Parameters:

`query` (Gst.Query) –

a GST_QUERY_ACCEPT_CAPS type query Gst.Query

`result` (Number) –

the result to set

#### Gst.Query.set_accept_caps_result

    def Gst.Query.set_accept_caps_result (self, result):
        #python wrapper for 'gst_query_set_accept_caps_result'

Set result as the result for the query.

Parameters:

`query` (Gst.Query) –

a GST_QUERY_ACCEPT_CAPS type query Gst.Query

`result` (bool) –

the result to set

#### gst_query_set_bitrate

    gst_query_set_bitrate (GstQuery * query,
                           guint nominal_bitrate)

Set the results of a bitrate query. The nominal bitrate is the average bitrate expected over the length of the stream as advertised in file headers (or similar).

Parameters:

`query` –

a GST_QUERY_BITRATE type GstQuery

`nominal_bitrate` –

the nominal bitrate in bits per second

Since : 1.16

#### Gst.Query.prototype.set_bitrate

    function Gst.Query.prototype.set_bitrate(nominal_bitrate: Number): {
        // javascript wrapper for 'gst_query_set_bitrate'
    }

Set the results of a bitrate query. The nominal bitrate is the average bitrate expected over the length of the stream as advertised in file headers (or similar).

Parameters:

`query` (Gst.Query) –

a GST_QUERY_BITRATE type Gst.Query

`nominal_bitrate` (Number) –

the nominal bitrate in bits per second

Since : 1.16

#### Gst.Query.set_bitrate

    def Gst.Query.set_bitrate (self, nominal_bitrate):
        #python wrapper for 'gst_query_set_bitrate'

Set the results of a bitrate query. The nominal bitrate is the average bitrate expected over the length of the stream as advertised in file headers (or similar).

Parameters:

`query` (Gst.Query) –

a GST_QUERY_BITRATE type Gst.Query

`nominal_bitrate` (int) –

the nominal bitrate in bits per second

Since : 1.16

#### gst_query_set_buffering_percent

    gst_query_set_buffering_percent (GstQuery * query,
                                     gboolean busy,
                                     gint percent)

Set the percentage of buffered data. This is a value between 0 and 100. The busy indicator is TRUE when the buffering is in progress.

Parameters:

`query` –

A valid GstQuery of type GST_QUERY_BUFFERING.

`busy` –

if buffering is busy

`percent` –

a buffering percent

#### Gst.Query.prototype.set_buffering_percent

    function Gst.Query.prototype.set_buffering_percent(busy: Number, percent: Number): {
        // javascript wrapper for 'gst_query_set_buffering_percent'
    }

Set the percentage of buffered data. This is a value between 0 and 100. The busy indicator is TRUE when the buffering is in progress.

Parameters:

`query` (Gst.Query) –

A valid Gst.Query of type GST_QUERY_BUFFERING.

`busy` (Number) –

if buffering is busy

`percent` (Number) –

a buffering percent

#### Gst.Query.set_buffering_percent

    def Gst.Query.set_buffering_percent (self, busy, percent):
        #python wrapper for 'gst_query_set_buffering_percent'

Set the percentage of buffered data. This is a value between 0 and 100. The busy indicator is TRUE when the buffering is in progress.

Parameters:

`query` (Gst.Query) –

A valid Gst.Query of type GST_QUERY_BUFFERING.

`busy` (bool) –

if buffering is busy

`percent` (int) –

a buffering percent

#### gst_query_set_buffering_range

    gst_query_set_buffering_range (GstQuery * query,
                                   GstFormat format,
                                   gint64 start,
                                   gint64 stop,
                                   gint64 estimated_total)

Set the available query result fields in query.

Parameters:

`query` –

a GstQuery

`format` –

the format to set for the start and stop values

`start` –

the start to set

`stop` –

the stop to set

`estimated_total` –

estimated total amount of download time remaining in milliseconds

#### Gst.Query.prototype.set_buffering_range

    function Gst.Query.prototype.set_buffering_range(format: Gst.Format, start: Number, stop: Number, estimated_total: Number): {
        // javascript wrapper for 'gst_query_set_buffering_range'
    }

Set the available query result fields in query.

Parameters:

`query` (Gst.Query) –

a Gst.Query

`format` (Gst.Format) –

the format to set for the start and stop values

`start` (Number) –

the start to set

`stop` (Number) –

the stop to set

`estimated_total` (Number) –

estimated total amount of download time remaining in milliseconds

#### Gst.Query.set_buffering_range

    def Gst.Query.set_buffering_range (self, format, start, stop, estimated_total):
        #python wrapper for 'gst_query_set_buffering_range'

Set the available query result fields in query.

Parameters:

`query` (Gst.Query) –

a Gst.Query

`format` (Gst.Format) –

the format to set for the start and stop values

`start` (int) –

the start to set

`stop` (int) –

the stop to set

`estimated_total` (int) –

estimated total amount of download time remaining in milliseconds

#### gst_query_set_buffering_stats

    gst_query_set_buffering_stats (GstQuery * query,
                                   GstBufferingMode mode,
                                   gint avg_in,
                                   gint avg_out,
                                   gint64 buffering_left)

Configures the buffering stats values in query.

Parameters:

`query` –

A valid GstQuery of type GST_QUERY_BUFFERING.

`mode` –

a buffering mode

`avg_in` –

the average input rate

`avg_out` –

the average output rate

`buffering_left` –

amount of buffering time left in milliseconds

#### Gst.Query.prototype.set_buffering_stats

    function Gst.Query.prototype.set_buffering_stats(mode: Gst.BufferingMode, avg_in: Number, avg_out: Number, buffering_left: Number): {
        // javascript wrapper for 'gst_query_set_buffering_stats'
    }

Configures the buffering stats values in query.

Parameters:

`query` (Gst.Query) –

A valid Gst.Query of type GST_QUERY_BUFFERING.

`mode` (Gst.BufferingMode) –

a buffering mode

`avg_in` (Number) –

the average input rate

`avg_out` (Number) –

the average output rate

`buffering_left` (Number) –

amount of buffering time left in milliseconds

#### Gst.Query.set_buffering_stats

    def Gst.Query.set_buffering_stats (self, mode, avg_in, avg_out, buffering_left):
        #python wrapper for 'gst_query_set_buffering_stats'

Configures the buffering stats values in query.

Parameters:

`query` (Gst.Query) –

A valid Gst.Query of type GST_QUERY_BUFFERING.

`mode` (Gst.BufferingMode) –

a buffering mode

`avg_in` (int) –

the average input rate

`avg_out` (int) –

the average output rate

`buffering_left` (int) –

amount of buffering time left in milliseconds

#### gst_query_set_caps_result

    gst_query_set_caps_result (GstQuery * query,
                               GstCaps * caps)

Set the caps result in query.

Parameters:

`query` –

The query to use

`caps` ( [nullable]) –

A pointer to the caps

#### Gst.Query.prototype.set_caps_result

    function Gst.Query.prototype.set_caps_result(caps: Gst.Caps): {
        // javascript wrapper for 'gst_query_set_caps_result'
    }

Set the caps result in query.

Parameters:

`query` (Gst.Query) –

The query to use

`caps` (Gst.Caps) –

A pointer to the caps

#### Gst.Query.set_caps_result

    def Gst.Query.set_caps_result (self, caps):
        #python wrapper for 'gst_query_set_caps_result'

Set the caps result in query.

Parameters:

`query` (Gst.Query) –

The query to use

`caps` (Gst.Caps) –

A pointer to the caps

#### gst_query_set_context

    gst_query_set_context (GstQuery * query,
                           GstContext * context)

Answer a context query by setting the requested context.

Parameters:

`query` –

a GstQuery with query type GST_QUERY_CONTEXT

`context` ( [nullable]) –

the requested GstContext

Since : 1.2

#### Gst.Query.prototype.set_context

    function Gst.Query.prototype.set_context(context: Gst.Context): {
        // javascript wrapper for 'gst_query_set_context'
    }

Answer a context query by setting the requested context.

Parameters:

`query` (Gst.Query) –

a Gst.Query with query type GST_QUERY_CONTEXT

`context` (Gst.Context) –

the requested Gst.Context

Since : 1.2

#### Gst.Query.set_context

    def Gst.Query.set_context (self, context):
        #python wrapper for 'gst_query_set_context'

Answer a context query by setting the requested context.

Parameters:

`query` (Gst.Query) –

a Gst.Query with query type GST_QUERY_CONTEXT

`context` (Gst.Context) –

the requested Gst.Context

Since : 1.2

#### gst_query_set_convert

    gst_query_set_convert (GstQuery * query,
                           GstFormat src_format,
                           gint64 src_value,
                           GstFormat dest_format,
                           gint64 dest_value)

Answer a convert query by setting the requested values.

Parameters:

`query` –

a GstQuery

`src_format` –

the source GstFormat

`src_value` –

the source value

`dest_format` –

the destination GstFormat

`dest_value` –

the destination value

#### Gst.Query.prototype.set_convert

    function Gst.Query.prototype.set_convert(src_format: Gst.Format, src_value: Number, dest_format: Gst.Format, dest_value: Number): {
        // javascript wrapper for 'gst_query_set_convert'
    }

Answer a convert query by setting the requested values.

Parameters:

`query` (Gst.Query) –

a Gst.Query

`src_format` (Gst.Format) –

the source Gst.Format

`src_value` (Number) –

the source value

`dest_format` (Gst.Format) –

the destination Gst.Format

`dest_value` (Number) –

the destination value

#### Gst.Query.set_convert

    def Gst.Query.set_convert (self, src_format, src_value, dest_format, dest_value):
        #python wrapper for 'gst_query_set_convert'

Answer a convert query by setting the requested values.

Parameters:

`query` (Gst.Query) –

a Gst.Query

`src_format` (Gst.Format) –

the source Gst.Format

`src_value` (int) –

the source value

`dest_format` (Gst.Format) –

the destination Gst.Format

`dest_value` (int) –

the destination value

#### gst_query_set_duration

    gst_query_set_duration (GstQuery * query,
                            GstFormat format,
                            gint64 duration)

Answer a duration query by setting the requested value in the given format.

Parameters:

`query` –

a GstQuery

`format` –

the GstFormat for the duration

`duration` –

the duration of the stream

#### Gst.Query.prototype.set_duration

    function Gst.Query.prototype.set_duration(format: Gst.Format, duration: Number): {
        // javascript wrapper for 'gst_query_set_duration'
    }

Answer a duration query by setting the requested value in the given format.

Parameters:

`query` (Gst.Query) –

a Gst.Query

`format` (Gst.Format) –

the Gst.Format for the duration

`duration` (Number) –

the duration of the stream

#### Gst.Query.set_duration

    def Gst.Query.set_duration (self, format, duration):
        #python wrapper for 'gst_query_set_duration'

Answer a duration query by setting the requested value in the given format.

Parameters:

`query` (Gst.Query) –

a Gst.Query

`format` (Gst.Format) –

the Gst.Format for the duration

`duration` (int) –

the duration of the stream

#### gst_query_set_formats

    gst_query_set_formats (GstQuery * query,
                           gint n_formats,
                           ... ...)

Set the formats query result fields in query. The number of formats passed must be equal to n_formats.

Parameters:

`query` –

a GstQuery

`n_formats` –

the number of formats to set.

`...` –

A number of GstFormats equal to n_formats.

#### gst_query_set_formatsv

    gst_query_set_formatsv (GstQuery * query,
                            gint n_formats,
                            const GstFormat * formats)

Set the formats query result fields in query. The number of formats passed in the formats array must be equal to n_formats.

Parameters:

`query` –

a GstQuery

`n_formats` –

the number of formats to set.

`formats` ( [in][arraylength=n_formats]) –

an array containing n_formats GstFormat values.

#### Gst.Query.prototype.set_formatsv

    function Gst.Query.prototype.set_formatsv(n_formats: Number, formats: [ Gst.Format ]): {
        // javascript wrapper for 'gst_query_set_formatsv'
    }

Set the formats query result fields in query. The number of formats passed in the formats array must be equal to n_formats.

Parameters:

`query` (Gst.Query) –

a Gst.Query

`n_formats` (Number) –

the number of formats to set.

`formats` ([ Gst.Format ]) –

an array containing n_formats GstFormat values.

#### Gst.Query.set_formatsv

    def Gst.Query.set_formatsv (self, n_formats, formats):
        #python wrapper for 'gst_query_set_formatsv'

Set the formats query result fields in query. The number of formats passed in the formats array must be equal to n_formats.

Parameters:

`query` (Gst.Query) –

a Gst.Query

`n_formats` (int) –

the number of formats to set.

`formats` ([ Gst.Format ]) –

an array containing n_formats GstFormat values.

#### gst_query_set_latency

    gst_query_set_latency (GstQuery * query,
                           gboolean live,
                           GstClockTime min_latency,
                           GstClockTime max_latency)

Answer a latency query by setting the requested values in the given format.

Parameters:

`query` –

a GstQuery

`live` –

if there is a live element upstream

`min_latency` –

the minimal latency of the upstream elements

`max_latency` –

the maximal latency of the upstream elements

#### Gst.Query.prototype.set_latency

    function Gst.Query.prototype.set_latency(live: Number, min_latency: Number, max_latency: Number): {
        // javascript wrapper for 'gst_query_set_latency'
    }

Answer a latency query by setting the requested values in the given format.

Parameters:

`query` (Gst.Query) –

a Gst.Query

`live` (Number) –

if there is a live element upstream

`min_latency` (Number) –

the minimal latency of the upstream elements

`max_latency` (Number) –

the maximal latency of the upstream elements

#### Gst.Query.set_latency

    def Gst.Query.set_latency (self, live, min_latency, max_latency):
        #python wrapper for 'gst_query_set_latency'

Answer a latency query by setting the requested values in the given format.

Parameters:

`query` (Gst.Query) –

a Gst.Query

`live` (bool) –

if there is a live element upstream

`min_latency` (int) –

the minimal latency of the upstream elements

`max_latency` (int) –

the maximal latency of the upstream elements

#### gst_query_set_nth_allocation_param

    gst_query_set_nth_allocation_param (GstQuery * query,
                                        guint index,
                                        GstAllocator * allocator,
                                        const GstAllocationParams * params)

Parse an available query and get the allocator and its params at index of the allocator array.

Parameters:

`query` –

a GST_QUERY_ALLOCATION type query GstQuery

`index` –

position in the allocator array to set

`allocator` ( [transfer: none][nullable]) –

new allocator to set

`params` ( [transfer: none][nullable]) –

parameters for the allocator

#### Gst.Query.prototype.set_nth_allocation_param

    function Gst.Query.prototype.set_nth_allocation_param(index: Number, allocator: Gst.Allocator, params: Gst.AllocationParams): {
        // javascript wrapper for 'gst_query_set_nth_allocation_param'
    }

Parse an available query and get the allocator and its params at index of the allocator array.

Parameters:

`query` (Gst.Query) –

a GST_QUERY_ALLOCATION type query Gst.Query

`index` (Number) –

position in the allocator array to set

`allocator` (Gst.Allocator) –

new allocator to set

`params` (Gst.AllocationParams) –

parameters for the allocator

#### Gst.Query.set_nth_allocation_param

    def Gst.Query.set_nth_allocation_param (self, index, allocator, params):
        #python wrapper for 'gst_query_set_nth_allocation_param'

Parse an available query and get the allocator and its params at index of the allocator array.

Parameters:

`query` (Gst.Query) –

a GST_QUERY_ALLOCATION type query Gst.Query

`index` (int) –

position in the allocator array to set

`allocator` (Gst.Allocator) –

new allocator to set

`params` (Gst.AllocationParams) –

parameters for the allocator

#### gst_query_set_nth_allocation_pool

    gst_query_set_nth_allocation_pool (GstQuery * query,
                                       guint index,
                                       GstBufferPool * pool,
                                       guint size,
                                       guint min_buffers,
                                       guint max_buffers)

Set the pool parameters in query.

Parameters:

`query` –

A valid GstQuery of type GST_QUERY_ALLOCATION.

`index` –

index to modify

`pool` ( [transfer: none][nullable]) –

the GstBufferPool

`size` –

the buffer size

`min_buffers` –

the min buffers

`max_buffers` –

the max buffers

#### Gst.Query.prototype.set_nth_allocation_pool

    function Gst.Query.prototype.set_nth_allocation_pool(index: Number, pool: Gst.BufferPool, size: Number, min_buffers: Number, max_buffers: Number): {
        // javascript wrapper for 'gst_query_set_nth_allocation_pool'
    }

Set the pool parameters in query.

Parameters:

`query` (Gst.Query) –

A valid Gst.Query of type GST_QUERY_ALLOCATION.

`index` (Number) –

index to modify

`pool` (Gst.BufferPool) –

the Gst.BufferPool

`size` (Number) –

the buffer size

`min_buffers` (Number) –

the min buffers

`max_buffers` (Number) –

the max buffers

#### Gst.Query.set_nth_allocation_pool

    def Gst.Query.set_nth_allocation_pool (self, index, pool, size, min_buffers, max_buffers):
        #python wrapper for 'gst_query_set_nth_allocation_pool'

Set the pool parameters in query.

Parameters:

`query` (Gst.Query) –

A valid Gst.Query of type GST_QUERY_ALLOCATION.

`index` (int) –

index to modify

`pool` (Gst.BufferPool) –

the Gst.BufferPool

`size` (int) –

the buffer size

`min_buffers` (int) –

the min buffers

`max_buffers` (int) –

the max buffers

#### gst_query_set_position

    gst_query_set_position (GstQuery * query,
                            GstFormat format,
                            gint64 cur)

Answer a position query by setting the requested value in the given format.

Parameters:

`query` –

a GstQuery with query type GST_QUERY_POSITION

`format` –

the requested GstFormat

`cur` –

the position to set

#### Gst.Query.prototype.set_position

    function Gst.Query.prototype.set_position(format: Gst.Format, cur: Number): {
        // javascript wrapper for 'gst_query_set_position'
    }

Answer a position query by setting the requested value in the given format.

Parameters:

`query` (Gst.Query) –

a Gst.Query with query type GST_QUERY_POSITION

`format` (Gst.Format) –

the requested Gst.Format

`cur` (Number) –

the position to set

#### Gst.Query.set_position

    def Gst.Query.set_position (self, format, cur):
        #python wrapper for 'gst_query_set_position'

Answer a position query by setting the requested value in the given format.

Parameters:

`query` (Gst.Query) –

a Gst.Query with query type GST_QUERY_POSITION

`format` (Gst.Format) –

the requested Gst.Format

`cur` (int) –

the position to set

#### gst_query_set_scheduling

    gst_query_set_scheduling (GstQuery * query,
                              GstSchedulingFlags flags,
                              gint minsize,
                              gint maxsize,
                              gint align)

Set the scheduling properties.

Parameters:

`query` –

A valid GstQuery of type GST_QUERY_SCHEDULING.

`flags` –

GstSchedulingFlags

`minsize` –

the suggested minimum size of pull requests

`maxsize` –

the suggested maximum size of pull requests

`align` –

the suggested alignment of pull requests

#### Gst.Query.prototype.set_scheduling

    function Gst.Query.prototype.set_scheduling(flags: Gst.SchedulingFlags, minsize: Number, maxsize: Number, align: Number): {
        // javascript wrapper for 'gst_query_set_scheduling'
    }

Set the scheduling properties.

Parameters:

`query` (Gst.Query) –

A valid Gst.Query of type GST_QUERY_SCHEDULING.

`flags` (Gst.SchedulingFlags) –

Gst.SchedulingFlags

`minsize` (Number) –

the suggested minimum size of pull requests

`maxsize` (Number) –

the suggested maximum size of pull requests

`align` (Number) –

the suggested alignment of pull requests

#### Gst.Query.set_scheduling

    def Gst.Query.set_scheduling (self, flags, minsize, maxsize, align):
        #python wrapper for 'gst_query_set_scheduling'

Set the scheduling properties.

Parameters:

`query` (Gst.Query) –

A valid Gst.Query of type GST_QUERY_SCHEDULING.

`flags` (Gst.SchedulingFlags) –

Gst.SchedulingFlags

`minsize` (int) –

the suggested minimum size of pull requests

`maxsize` (int) –

the suggested maximum size of pull requests

`align` (int) –

the suggested alignment of pull requests

#### gst_query_set_seeking

    gst_query_set_seeking (GstQuery * query,
                           GstFormat format,
                           gboolean seekable,
                           gint64 segment_start,
                           gint64 segment_end)

Set the seeking query result fields in query.

Parameters:

`query` –

a GstQuery

`format` –

the format to set for the segment_start and segment_end values

`seekable` –

the seekable flag to set

`segment_start` –

the segment_start to set

`segment_end` –

the segment_end to set

#### Gst.Query.prototype.set_seeking

    function Gst.Query.prototype.set_seeking(format: Gst.Format, seekable: Number, segment_start: Number, segment_end: Number): {
        // javascript wrapper for 'gst_query_set_seeking'
    }

Set the seeking query result fields in query.

Parameters:

`query` (Gst.Query) –

a Gst.Query

`format` (Gst.Format) –

the format to set for the segment_start and segment_end values

`seekable` (Number) –

the seekable flag to set

`segment_start` (Number) –

the segment_start to set

`segment_end` (Number) –

the segment_end to set

#### Gst.Query.set_seeking

    def Gst.Query.set_seeking (self, format, seekable, segment_start, segment_end):
        #python wrapper for 'gst_query_set_seeking'

Set the seeking query result fields in query.

Parameters:

`query` (Gst.Query) –

a Gst.Query

`format` (Gst.Format) –

the format to set for the segment_start and segment_end values

`seekable` (bool) –

the seekable flag to set

`segment_start` (int) –

the segment_start to set

`segment_end` (int) –

the segment_end to set

#### gst_query_set_segment

    gst_query_set_segment (GstQuery * query,
                           gdouble rate,
                           GstFormat format,
                           gint64 start_value,
                           gint64 stop_value)

Answer a segment query by setting the requested values. The normal playback segment of a pipeline is 0 to duration at the default rate of 1.0. If a seek was performed on the pipeline to play a different segment, this query will return the range specified in the last seek.

start_value and stop_value will respectively contain the configured playback range start and stop values expressed in format. The values are always between 0 and the duration of the media and start_value <= stop_value. rate will contain the playback rate. For negative rates, playback will actually happen from stop_value to start_value.

Parameters:

`query` –

a GstQuery

`rate` –

the rate of the segment

`format` –

the GstFormat of the segment values (@start_value and stop_value)

`start_value` –

the start value

`stop_value` –

the stop value

#### Gst.Query.prototype.set_segment

    function Gst.Query.prototype.set_segment(rate: Number, format: Gst.Format, start_value: Number, stop_value: Number): {
        // javascript wrapper for 'gst_query_set_segment'
    }

Answer a segment query by setting the requested values. The normal playback segment of a pipeline is 0 to duration at the default rate of 1.0. If a seek was performed on the pipeline to play a different segment, this query will return the range specified in the last seek.

start_value and stop_value will respectively contain the configured playback range start and stop values expressed in format. The values are always between 0 and the duration of the media and start_value <= stop_value. rate will contain the playback rate. For negative rates, playback will actually happen from stop_value to start_value.

Parameters:

`query` (Gst.Query) –

a Gst.Query

`rate` (Number) –

the rate of the segment

`format` (Gst.Format) –

the Gst.Format of the segment values (@start_value and stop_value)

`start_value` (Number) –

the start value

`stop_value` (Number) –

the stop value

#### Gst.Query.set_segment

    def Gst.Query.set_segment (self, rate, format, start_value, stop_value):
        #python wrapper for 'gst_query_set_segment'

Answer a segment query by setting the requested values. The normal playback segment of a pipeline is 0 to duration at the default rate of 1.0. If a seek was performed on the pipeline to play a different segment, this query will return the range specified in the last seek.

start_value and stop_value will respectively contain the configured playback range start and stop values expressed in format. The values are always between 0 and the duration of the media and start_value <= stop_value. rate will contain the playback rate. For negative rates, playback will actually happen from stop_value to start_value.

Parameters:

`query` (Gst.Query) –

a Gst.Query

`rate` (float) –

the rate of the segment

`format` (Gst.Format) –

the Gst.Format of the segment values (@start_value and stop_value)

`start_value` (int) –

the start value

`stop_value` (int) –

the stop value

#### gst_query_set_selectable

    gst_query_set_selectable (GstQuery * query,
                              gboolean selectable)

Set the results of a selectable query. If the element answering the query can handle stream selection, selectable should be set to TRUE.

Parameters:

`query` –

a GST_QUERY_SELECTABLE type GstQuery

`selectable` –

Whether the element can handle stream selection.

Since : 1.22

#### Gst.Query.prototype.set_selectable

    function Gst.Query.prototype.set_selectable(selectable: Number): {
        // javascript wrapper for 'gst_query_set_selectable'
    }

Set the results of a selectable query. If the element answering the query can handle stream selection, selectable should be set to TRUE.

Parameters:

`query` (Gst.Query) –

a GST_QUERY_SELECTABLE type Gst.Query

`selectable` (Number) –

Whether the element can handle stream selection.

Since : 1.22

#### Gst.Query.set_selectable

    def Gst.Query.set_selectable (self, selectable):
        #python wrapper for 'gst_query_set_selectable'

Set the results of a selectable query. If the element answering the query can handle stream selection, selectable should be set to TRUE.

Parameters:

`query` (Gst.Query) –

a GST_QUERY_SELECTABLE type Gst.Query

`selectable` (bool) –

Whether the element can handle stream selection.

Since : 1.22

#### gst_query_set_uri

    gst_query_set_uri (GstQuery * query,
                       const gchar* uri)

Answer a URI query by setting the requested URI.

Parameters:

`query` –

a GstQuery with query type GST_QUERY_URI

`uri` ( [nullable]) –

the URI to set

#### Gst.Query.prototype.set_uri

    function Gst.Query.prototype.set_uri(uri: String): {
        // javascript wrapper for 'gst_query_set_uri'
    }

Answer a URI query by setting the requested URI.

Parameters:

`query` (Gst.Query) –

a Gst.Query with query type GST_QUERY_URI

`uri` (String) –

the URI to set

#### Gst.Query.set_uri

    def Gst.Query.set_uri (self, uri):
        #python wrapper for 'gst_query_set_uri'

Answer a URI query by setting the requested URI.

Parameters:

`query` (Gst.Query) –

a Gst.Query with query type GST_QUERY_URI

`uri` (str) –

the URI to set

#### gst_query_set_uri_redirection

    gst_query_set_uri_redirection (GstQuery * query,
                                   const gchar* uri)

Answer a URI query by setting the requested URI redirection.

Parameters:

`query` –

a GstQuery with query type GST_QUERY_URI

`uri` ( [nullable]) –

the URI to set

Since : 1.2

#### Gst.Query.prototype.set_uri_redirection

    function Gst.Query.prototype.set_uri_redirection(uri: String): {
        // javascript wrapper for 'gst_query_set_uri_redirection'
    }

Answer a URI query by setting the requested URI redirection.

Parameters:

`query` (Gst.Query) –

a Gst.Query with query type GST_QUERY_URI

`uri` (String) –

the URI to set

Since : 1.2

#### Gst.Query.set_uri_redirection

    def Gst.Query.set_uri_redirection (self, uri):
        #python wrapper for 'gst_query_set_uri_redirection'

Answer a URI query by setting the requested URI redirection.

Parameters:

`query` (Gst.Query) –

a Gst.Query with query type GST_QUERY_URI

`uri` (str) –

the URI to set

Since : 1.2

#### gst_query_set_uri_redirection_permanent

    gst_query_set_uri_redirection_permanent (GstQuery * query,
                                             gboolean permanent)

Answer a URI query by setting the requested URI redirection to permanent or not.

Parameters:

`query` –

a GstQuery with query type GST_QUERY_URI

`permanent` –

whether the redirect is permanent or not

Since : 1.4

#### Gst.Query.prototype.set_uri_redirection_permanent

    function Gst.Query.prototype.set_uri_redirection_permanent(permanent: Number): {
        // javascript wrapper for 'gst_query_set_uri_redirection_permanent'
    }

Answer a URI query by setting the requested URI redirection to permanent or not.

Parameters:

`query` (Gst.Query) –

a Gst.Query with query type Gst.QueryType.URI

`permanent` (Number) –

whether the redirect is permanent or not

Since : 1.4

#### Gst.Query.set_uri_redirection_permanent

    def Gst.Query.set_uri_redirection_permanent (self, permanent):
        #python wrapper for 'gst_query_set_uri_redirection_permanent'

Answer a URI query by setting the requested URI redirection to permanent or not.

Parameters:

`query` (Gst.Query) –

a Gst.Query with query type Gst.QueryType.URI

`permanent` (bool) –

whether the redirect is permanent or not

Since : 1.4

#### gst_query_unref

    gst_query_unref (GstQuery * q)

Decreases the refcount of the query. If the refcount reaches 0, the query will be freed.

Parameters:

`q` –

a GstQuery to decrease the refcount of.

#### gst_query_writable_structure

    GstStructure *
    gst_query_writable_structure (GstQuery * query)

Get the structure of a query. This method should be called with a writable query so that the returned structure is guaranteed to be writable.

Parameters:

`query` –

a GstQuery

Returns ( [transfer: none]) –

the GstStructure of the query. The structure is still owned by the query and will therefore be freed when the query is unreffed.

#### Gst.Query.prototype.writable_structure

    function Gst.Query.prototype.writable_structure(): {
        // javascript wrapper for 'gst_query_writable_structure'
    }

Get the structure of a query. This method should be called with a writable query so that the returned structure is guaranteed to be writable.

Parameters:

`query` (Gst.Query) –

a Gst.Query

Returns (Gst.Structure) –

the Gst.Structure of the query. The structure is still owned by the query and will therefore be freed when the query is unreffed.

#### Gst.Query.writable_structure

    def Gst.Query.writable_structure (self):
        #python wrapper for 'gst_query_writable_structure'

Get the structure of a query. This method should be called with a writable query so that the returned structure is guaranteed to be writable.

Parameters:

`query` (Gst.Query) –

a Gst.Query

Returns (Gst.Structure) –

the Gst.Structure of the query. The structure is still owned by the query and will therefore be freed when the query is unreffed.

### Functions

#### gst_query_replace

    gboolean
    gst_query_replace (GstQuery ** old_query,
                       GstQuery * new_query)

Modifies a pointer to a GstQuery to point to a different GstQuery. The modification is done atomically (so this is useful for ensuring thread safety in some cases), and the reference counts are updated appropriately (the old query is unreffed, the new one is reffed).

Either new_query or the GstQuery pointed to by old_query may be NULL.

Parameters:

`old_query` ( [inout][transfer: full][nullable]) –

pointer to a pointer to a GstQuery to be replaced.

`new_query` ( [nullable][transfer: none]) –

pointer to a GstQuery that will replace the query pointed to by old_query.

Returns –

TRUE if new_query was different from old_query

#### gst_query_take

    gboolean
    gst_query_take (GstQuery ** old_query,
                    GstQuery * new_query)

Modifies a pointer to a GstQuery to point to a different GstQuery. This function is similar to gst_query_replace except that it takes ownership of new_query.

Either new_query or the GstQuery pointed to by old_query may be NULL.

Parameters:

`old_query` ( [inout][transfer: full][nullable]) –

pointer to a pointer to a GstQuery to be stolen.

`new_query` ( [nullable][transfer: full]) –

pointer to a GstQuery that will replace the query pointed to by old_query.

Returns –

TRUE if new_query was different from old_query

Since : 1.16

#### Gst.prototype.query_take

    function Gst.prototype.query_take(old_query: Gst.Query, new_query: Gst.Query): {
        // javascript wrapper for 'gst_query_take'
    }

Modifies a pointer to a Gst.Query to point to a different Gst.Query. This function is similar to gst_query_replace (not introspectable) except that it takes ownership of new_query.

Either new_query or the Gst.Query pointed to by old_query may be NULL.

Parameters:

`old_query` (Gst.Query) –

pointer to a pointer to a Gst.Query to be stolen.

`new_query` (Gst.Query) –

pointer to a Gst.Query that will replace the query pointed to by old_query.

Returns a tuple made of:

(Number ) –

TRUE if new_query was different from old_query

`old_query` (Gst.Query ) –

TRUE if new_query was different from old_query

Since : 1.16

#### Gst.query_take

    def Gst.query_take (old_query, new_query):
        #python wrapper for 'gst_query_take'

Modifies a pointer to a Gst.Query to point to a different Gst.Query. This function is similar to gst_query_replace (not introspectable) except that it takes ownership of new_query.

Either new_query or the Gst.Query pointed to by old_query may be NULL.

Parameters:

`old_query` (Gst.Query) –

pointer to a pointer to a Gst.Query to be stolen.

`new_query` (Gst.Query) –

pointer to a Gst.Query that will replace the query pointed to by old_query.

Returns a tuple made of:

(bool ) –

TRUE if new_query was different from old_query

`old_query` (Gst.Query ) –

TRUE if new_query was different from old_query

Since : 1.16

## Functions

### gst_clear_query

    gst_clear_query (GstQuery ** query_ptr)

Clears a reference to a GstQuery.

query_ptr must not be NULL.

If the reference is NULL then this function does nothing. Otherwise, the reference count of the query is decreased and the pointer is set to NULL.

Parameters:

`query_ptr` –

a pointer to a GstQuery reference

Since : 1.16

### gst_query_type_get_flags

    GstQueryTypeFlags
    gst_query_type_get_flags (GstQueryType type)

Gets the GstQueryTypeFlags associated with type.

Parameters:

`type` –

a GstQueryType

Returns –

a GstQueryTypeFlags.

### Gst.prototype.query_type_get_flags

    function Gst.prototype.query_type_get_flags(type: Gst.QueryType): {
        // javascript wrapper for 'gst_query_type_get_flags'
    }

Gets the Gst.QueryTypeFlags associated with type.

Parameters:

`type` (Gst.QueryType) –

a Gst.QueryType

Returns (Gst.QueryTypeFlags) –

a Gst.QueryTypeFlags.

### Gst.query_type_get_flags

    def Gst.query_type_get_flags (type):
        #python wrapper for 'gst_query_type_get_flags'

Gets the Gst.QueryTypeFlags associated with type.

Parameters:

`type` (Gst.QueryType) –

a Gst.QueryType

Returns (Gst.QueryTypeFlags) –

a Gst.QueryTypeFlags.

### gst_query_type_get_name

    const gchar*
    gst_query_type_get_name (GstQueryType type)

Get a printable name for the given query type. Do not modify or free.

Parameters:

`type` –

the query type

Returns –

a reference to the static name of the query.

### Gst.prototype.query_type_get_name

    function Gst.prototype.query_type_get_name(type: Gst.QueryType): {
        // javascript wrapper for 'gst_query_type_get_name'
    }

Get a printable name for the given query type. Do not modify or free.

Parameters:

`type` (Gst.QueryType) –

the query type

Returns (String) –

a reference to the static name of the query.

### Gst.query_type_get_name

    def Gst.query_type_get_name (type):
        #python wrapper for 'gst_query_type_get_name'

Get a printable name for the given query type. Do not modify or free.

Parameters:

`type` (Gst.QueryType) –

the query type

Returns (str) –

a reference to the static name of the query.

### gst_query_type_to_quark

    GQuark
    gst_query_type_to_quark (GstQueryType type)

Get the unique quark for the given query type.

Parameters:

`type` –

the query type

Returns –

the quark associated with the query type

### Gst.prototype.query_type_to_quark

    function Gst.prototype.query_type_to_quark(type: Gst.QueryType): {
        // javascript wrapper for 'gst_query_type_to_quark'
    }

Get the unique quark for the given query type.

Parameters:

`type` (Gst.QueryType) –

the query type

Returns (GLib.Quark) –

the quark associated with the query type

### Gst.query_type_to_quark

    def Gst.query_type_to_quark (type):
        #python wrapper for 'gst_query_type_to_quark'

Get the unique quark for the given query type.

Parameters:

`type` (Gst.QueryType) –

the query type

Returns (GLib.Quark) –

the quark associated with the query type

## Function Macros

### GST_QUERY_CAST

    #define GST_QUERY_CAST(obj)                    ((GstQuery*)(obj))

### GST_QUERY_IS_DOWNSTREAM

    #define GST_QUERY_IS_DOWNSTREAM(ev)     !!(GST_QUERY_TYPE (ev) & GST_QUERY_TYPE_DOWNSTREAM)

Check if an query can travel downstream.

Parameters:

`ev` –

the query to query

### GST_QUERY_IS_SERIALIZED

    #define GST_QUERY_IS_SERIALIZED(ev)     !!(GST_QUERY_TYPE (ev) & GST_QUERY_TYPE_SERIALIZED)

Check if an query is serialized with the data stream.

Parameters:

`ev` –

the query to query

### GST_QUERY_IS_UPSTREAM

    #define GST_QUERY_IS_UPSTREAM(ev)       !!(GST_QUERY_TYPE (ev) & GST_QUERY_TYPE_UPSTREAM)

Check if an query can travel upstream.

Parameters:

`ev` –

the query to query

### GST_QUERY_MAKE_TYPE

    #define GST_QUERY_MAKE_TYPE(num,flags) \
        (((num) << GST_QUERY_NUM_SHIFT) | (flags))

when making custom query types, use this macro with the num and the given flags

Parameters:

`num` –

the query number to create

`flags` –

the query flags

### GST_QUERY_TYPE

    #define GST_QUERY_TYPE(query)  (((GstQuery*)(query))->type)

Get the GstQueryType of the query.

Parameters:

`query` –

the query to query

### GST_QUERY_TYPE_NAME

    #define GST_QUERY_TYPE_NAME(query) (gst_query_type_get_name(GST_QUERY_TYPE(query)))

Get a constant string representation of the GstQueryType of the query.

Parameters:

`query` –

the query to query

### gst_query_is_writable

    #define gst_query_is_writable(q)     gst_mini_object_is_writable (GST_MINI_OBJECT_CAST (q))

Tests if you can safely write data into a query's structure.

Parameters:

`q` –

a GstQuery

### gst_query_make_writable

    #define gst_query_make_writable(q)      GST_QUERY_CAST (gst_mini_object_make_writable (GST_MINI_OBJECT_CAST (q)))

Makes a writable query from the given query.

Parameters:

`q` ( [transfer: full]) –

a GstQuery to make writable

Returns ( [transfer: full]) –

a new writable query (possibly same as q)

## Enumerations

### GstBufferingMode

The different types of buffering methods.

##### Members

`GST_BUFFERING_STREAM` (0) –

a small amount of data is buffered

`GST_BUFFERING_DOWNLOAD` (1) –

the stream is being downloaded

`GST_BUFFERING_TIMESHIFT` (2) –

the stream is being downloaded in a ringbuffer

`GST_BUFFERING_LIVE` (3) –

the stream is a live stream

### Gst.BufferingMode

The different types of buffering methods.

##### Members

`Gst.BufferingMode.STREAM` (0) –

a small amount of data is buffered

`Gst.BufferingMode.DOWNLOAD` (1) –

the stream is being downloaded

`Gst.BufferingMode.TIMESHIFT` (2) –

the stream is being downloaded in a ringbuffer

`Gst.BufferingMode.LIVE` (3) –

the stream is a live stream

### Gst.BufferingMode

The different types of buffering methods.

##### Members

`Gst.BufferingMode.STREAM` (0) –

a small amount of data is buffered

`Gst.BufferingMode.DOWNLOAD` (1) –

the stream is being downloaded

`Gst.BufferingMode.TIMESHIFT` (2) –

the stream is being downloaded in a ringbuffer

`Gst.BufferingMode.LIVE` (3) –

the stream is a live stream

### GstQueryType

Standard predefined Query types

##### Members

`GST_QUERY_UNKNOWN` (0) –

unknown query type

`GST_QUERY_POSITION` (2563) –

current position in stream

`GST_QUERY_DURATION` (5123) –

total duration of the stream

`GST_QUERY_LATENCY` (7683) –

latency of stream

`GST_QUERY_JITTER` (10243) –

current jitter of stream

`GST_QUERY_RATE` (12803) –

current rate of the stream

`GST_QUERY_SEEKING` (15363) –

seeking capabilities

`GST_QUERY_SEGMENT` (17923) –

segment start/stop positions

`GST_QUERY_CONVERT` (20483) –

convert values between formats

`GST_QUERY_FORMATS` (23043) –

query supported formats for convert

`GST_QUERY_BUFFERING` (28163) –

query available media for efficient seeking.

`GST_QUERY_CUSTOM` (30723) –

a custom application or element defined query.

`GST_QUERY_URI` (33283) –

query the URI of the source or sink.

`GST_QUERY_ALLOCATION` (35846) –

the buffer allocation properties

`GST_QUERY_SCHEDULING` (38401) –

the scheduling properties

`GST_QUERY_ACCEPT_CAPS` (40963) –

the accept caps query

`GST_QUERY_CAPS` (43523) –

the caps query

`GST_QUERY_DRAIN` (46086) –

wait till all serialized data is consumed downstream

`GST_QUERY_CONTEXT` (48643) –

query the pipeline-local context from downstream or upstream (since 1.2)

`GST_QUERY_BITRATE` (51202) –

the bitrate query (since 1.16)

`GST_QUERY_SELECTABLE` (53763) –

Query stream selection capability.

(Since: 1.22)

### Gst.QueryType

Standard predefined Query types

##### Members

`Gst.QueryType.UNKNOWN` (0) –

unknown query type

`Gst.QueryType.POSITION` (2563) –

current position in stream

`Gst.QueryType.DURATION` (5123) –

total duration of the stream

`Gst.QueryType.LATENCY` (7683) –

latency of stream

`Gst.QueryType.JITTER` (10243) –

current jitter of stream

`Gst.QueryType.RATE` (12803) –

current rate of the stream

`Gst.QueryType.SEEKING` (15363) –

seeking capabilities

`Gst.QueryType.SEGMENT` (17923) –

segment start/stop positions

`Gst.QueryType.CONVERT` (20483) –

convert values between formats

`Gst.QueryType.FORMATS` (23043) –

query supported formats for convert

`Gst.QueryType.BUFFERING` (28163) –

query available media for efficient seeking.

`Gst.QueryType.CUSTOM` (30723) –

a custom application or element defined query.

`Gst.QueryType.URI` (33283) –

query the URI of the source or sink.

`Gst.QueryType.ALLOCATION` (35846) –

the buffer allocation properties

`Gst.QueryType.SCHEDULING` (38401) –

the scheduling properties

`Gst.QueryType.ACCEPT_CAPS` (40963) –

the accept caps query

`Gst.QueryType.CAPS` (43523) –

the caps query

`Gst.QueryType.DRAIN` (46086) –

wait till all serialized data is consumed downstream

`Gst.QueryType.CONTEXT` (48643) –

query the pipeline-local context from downstream or upstream (since 1.2)

`Gst.QueryType.BITRATE` (51202) –

the bitrate query (since 1.16)

`Gst.QueryType.SELECTABLE` (53763) –

Query stream selection capability.

(Since: 1.22)

### Gst.QueryType

Standard predefined Query types

##### Members

`Gst.QueryType.UNKNOWN` (0) –

unknown query type

`Gst.QueryType.POSITION` (2563) –

current position in stream

`Gst.QueryType.DURATION` (5123) –

total duration of the stream

`Gst.QueryType.LATENCY` (7683) –

latency of stream

`Gst.QueryType.JITTER` (10243) –

current jitter of stream

`Gst.QueryType.RATE` (12803) –

current rate of the stream

`Gst.QueryType.SEEKING` (15363) –

seeking capabilities

`Gst.QueryType.SEGMENT` (17923) –

segment start/stop positions

`Gst.QueryType.CONVERT` (20483) –

convert values between formats

`Gst.QueryType.FORMATS` (23043) –

query supported formats for convert

`Gst.QueryType.BUFFERING` (28163) –

query available media for efficient seeking.

`Gst.QueryType.CUSTOM` (30723) –

a custom application or element defined query.

`Gst.QueryType.URI` (33283) –

query the URI of the source or sink.

`Gst.QueryType.ALLOCATION` (35846) –

the buffer allocation properties

`Gst.QueryType.SCHEDULING` (38401) –

the scheduling properties

`Gst.QueryType.ACCEPT_CAPS` (40963) –

the accept caps query

`Gst.QueryType.CAPS` (43523) –

the caps query

`Gst.QueryType.DRAIN` (46086) –

wait till all serialized data is consumed downstream

`Gst.QueryType.CONTEXT` (48643) –

query the pipeline-local context from downstream or upstream (since 1.2)

`Gst.QueryType.BITRATE` (51202) –

the bitrate query (since 1.16)

`Gst.QueryType.SELECTABLE` (53763) –

Query stream selection capability.

(Since: 1.22)

### GstQueryTypeFlags

GstQueryTypeFlags indicate the aspects of the different GstQueryType values. You can get the type flags of a GstQueryType with the gst_query_type_get_flags function.

##### Members

`GST_QUERY_TYPE_UPSTREAM` (1) –

Set if the query can travel upstream.

`GST_QUERY_TYPE_DOWNSTREAM` (2) –

Set if the query can travel downstream.

`GST_QUERY_TYPE_SERIALIZED` (4) –

Set if the query should be serialized with data flow.

### Gst.QueryTypeFlags

Gst.QueryTypeFlags indicate the aspects of the different Gst.QueryType values. You can get the type flags of a Gst.QueryType with the Gst.prototype.query_type_get_flags function.

##### Members

`Gst.QueryTypeFlags.UPSTREAM` (1) –

Set if the query can travel upstream.

`Gst.QueryTypeFlags.DOWNSTREAM` (2) –

Set if the query can travel downstream.

`Gst.QueryTypeFlags.SERIALIZED` (4) –

Set if the query should be serialized with data flow.

### Gst.QueryTypeFlags

Gst.QueryTypeFlags indicate the aspects of the different Gst.QueryType values. You can get the type flags of a Gst.QueryType with the Gst.query_type_get_flags function.

##### Members

`Gst.QueryTypeFlags.UPSTREAM` (1) –

Set if the query can travel upstream.

`Gst.QueryTypeFlags.DOWNSTREAM` (2) –

Set if the query can travel downstream.

`Gst.QueryTypeFlags.SERIALIZED` (4) –

Set if the query should be serialized with data flow.

### GstSchedulingFlags

The different scheduling flags.

##### Members

`GST_SCHEDULING_FLAG_SEEKABLE` (1) –

if seeking is possible

`GST_SCHEDULING_FLAG_SEQUENTIAL` (2) –

if sequential access is recommended

`GST_SCHEDULING_FLAG_BANDWIDTH_LIMITED` (4) –

if bandwidth is limited and buffering possible (since 1.2)

### Gst.SchedulingFlags

The different scheduling flags.

##### Members

`Gst.SchedulingFlags.SEEKABLE` (1) –

if seeking is possible

`Gst.SchedulingFlags.SEQUENTIAL` (2) –

if sequential access is recommended

`Gst.SchedulingFlags.BANDWIDTH_LIMITED` (4) –

if bandwidth is limited and buffering possible (since 1.2)

### Gst.SchedulingFlags

The different scheduling flags.

##### Members

`Gst.SchedulingFlags.SEEKABLE` (1) –

if seeking is possible

`Gst.SchedulingFlags.SEQUENTIAL` (2) –

if sequential access is recommended

`Gst.SchedulingFlags.BANDWIDTH_LIMITED` (4) –

if bandwidth is limited and buffering possible (since 1.2)

## Constants

### GST_QUERY_NUM_SHIFT

    #define GST_QUERY_NUM_SHIFT     (8)

### Gst.QUERY_NUM_SHIFT

### GST_QUERY_TYPE_BOTH

    #define GST_QUERY_TYPE_BOTH \
        ((GstQueryTypeFlags)(GST_QUERY_TYPE_UPSTREAM | GST_QUERY_TYPE_DOWNSTREAM))

The same thing as GST_QUERY_TYPE_UPSTREAM | GST_QUERY_TYPE_DOWNSTREAM.

### Gst.QUERY_TYPE_BOTH

The same thing as Gst.QueryTypeFlags.UPSTREAM | Gst.QueryTypeFlags.DOWNSTREAM.

### Gst.QUERY_TYPE_BOTH

The same thing as Gst.QueryTypeFlags.UPSTREAM | Gst.QueryTypeFlags.DOWNSTREAM.

The results of the search are